package tab;
import bibliDP.es.Clavier;

/** dfinitions de fonctions et moyenne de notes */
public class Tab6AvecFonctions {
  /** renvoie la somme des lments du tableau 'tab' */
  public static double somme(double [] tab) {
    double somme = 0;
    int n = tab.length;
    for (int i=0;i<n;i++) somme += tab[i];
    return somme;
    }
  /** renvoie la moyenne des lments du tableau 'tab' */
  public static double moyenne(double[] tab) {
    return somme(tab)/tab.length;
    }
  /** renvoie une chaine de caractres reprsentant le tableau 'tab' */
  public static String toString(double[] tab) {
    String s = "";
    for (int i=0;i<tab.length;i++) s += "  "+tab[i];
    return s;
    }
  /** remplit 'tab' par des lectures au clavier */
  public static void lire(double[] tab) {
    for (int i=0;i<tab.length;i++) tab[i]=Clavier.readDouble();
    }
  /** cre un tableau de double de dimension 'n'
   *  et le remplit par des lectures au clavier
   *  */
   public static double[] creerEtLire(int n) {
    double[] tab = new double[n]; // dclaration et cration
    for (int i=0;i<tab.length;i++) tab[i]=Clavier.readDouble(); // lecture
    return tab;
    }

  /** calcule la moyenne de notes lues au clavier */
  public static void main(String[] args) {
    System.out.print("\nTab6AvecFonctions\n\n");

    int nbNotes = Clavier.readInt("nombre de notes : ");
    System.out.println("tapez les notes spares par des blancs ou des \"Entre\"");

    /*
    double[] notes;
    notes = new double[nbNotes];
    lire(notes);
    */
    // ou
    double[] notes = creerEtLire(nbNotes);

    System.out.print("\nnotes :" + toString(notes));
    System.out.println("\nmoyenne : "+ moyenne(notes));
  }
}
