package bonjour;
import java.util.Date;
import java.util.GregorianCalendar;
import bibliDP.es.Clavier;
    
public class BonjourDate {
  public static void main(String[] args) {
    Date dAuj = new Date(); // date d'aujourd'hui
    System.out.println(dAuj);
    System.out.println("Il s'est coul " + dAuj.getTime()
         + " millisecondes depuis le 1er janvier 1970 Oh GMT");
    System.out.println();
    GregorianCalendar gcAuj = new GregorianCalendar();
    System.out.println(gcAuj); // possible mais ...
    System.out.println();
    System.out.println(gcAuj.getTime());  // plus simple !
    int anneeA = gcAuj.get(GregorianCalendar.YEAR);
    System.out.println("Nous sommes en " + anneeA);
    int annee = Clavier.readInt("anne de naissance : ");
    int age = anneeA - annee;
    System.out.println("vous avez (ou vous aurez cette anne "+age+" ans");
    int mois = Clavier.readInt("numro du mois de naissance : ")-1;
    int jour = Clavier.readInt("numro du jour de naissance dans le mois : ");
    GregorianCalendar gc = new GregorianCalendar(annee, mois, jour);
    System.out.println("date de naissance : " + gc.getTime());
    GregorianCalendar gcAnniv = new GregorianCalendar(anneeA, mois, jour);
    Date dAnniv = gcAnniv.getTime(); // date de l'anniversaire
    if (dAnniv.after(dAuj)) age -=1;
    System.out.println("vous avez "+age+" ans");
    long nbMilliSec = dAuj.getTime() - gc.getTime().getTime();
    System.out.println("Vous avez dj vcu " + nbMilliSec + " millisecondes");
    }
}

/*
Fri Nov 28 16:19:39 CET 2003
Il s'est coul 1070032779010 millisecondes depuis le 1er janvier 1970 Oh GMT

java.util.GregorianCalendar[time=1070032779340,areFieldsSet=true,areAllFieldsSet=true,lenient=true,zone=java.util.SimpleTimeZone[id=Europe/Paris,offset=3600000,dstSavings=3600000,useDaylight=true,startYear=0,startMode=2,startMonth=2,startDay=-1,startDayOfWeek=1,startTime=3600000,startTimeMode=2,endMode=2,endMonth=9,endDay=-1,endDayOfWeek=1,endTime=3600000,endTimeMode=2],firstDayOfWeek=2,minimalDaysInFirstWeek=1,ERA=1,YEAR=2003,MONTH=10,WEEK_OF_YEAR=48,WEEK_OF_MONTH=5,DAY_OF_MONTH=28,DAY_OF_YEAR=332,DAY_OF_WEEK=6,DAY_OF_WEEK_IN_MONTH=4,AM_PM=1,HOUR=4,HOUR_OF_DAY=16,MINUTE=19,SECOND=39,MILLISECOND=340,ZONE_OFFSET=3600000,DST_OFFSET=0]

Fri Nov 28 16:19:39 CET 2003
Nous sommes en 2003
anne de naissance : 1984
vous avez (ou vous aurez cette anne 19 ans
numro du mois de naissance : 12
numro du jour de naissance dans le mois : 8
date de naissance : Sat Dec 08 00:00:00 CET 1984
vous avez 18 ans
Vous avez dj vcu 598724379010 millisecondes
*/
