package bonjour;
import java.util.Vector;
                                                                     
/** classe permettant de grer les donnes d'un tudiant (moyenne comprise) */
public class Etudiant1 {
  private String nom, prenom;
  private int age;
  private Vector lesNotes = new Vector();
  private double moyenne = 0;

  /** cre un tudiant connaissant ses noms, prnoms anne de naissance */
  public Etudiant1(String nom, String prenom, int annee) {
    this.nom = nom;
    this.prenom=prenom;
    this.age = 2004-annee;
    }

  /** ajoute une note  cet tudiant et met sa moyenne  jour */
  public void ajouterNote(double note) {
    this.lesNotes.addElement(new Double(note));
    this.moyenne = this.moyenne();
    }

  /** renvoie la moyenne des notes de cet tudiant */
  private double moyenne() {
    int nbNotes = this.lesNotes.size();
    if (nbNotes == 0) return 0;
    double somme = 0;
    for (int i=0;i<nbNotes;i++)
      somme += ((Double)this.lesNotes.elementAt(i)).doubleValue();
    return somme/nbNotes;
    }

  /** renvoie une chaine de caractres reprsentant les donnes de cet tudiant
      (moyenne comprise)  */
  public String toString() {
    return this.prenom + " " + this.nom + "\nage : " + age 
            + "\nnotes : "+ this.lesNotes
            + "\nmoyenne : " + this.moyenne ; 
    }
}

