
package equation2nddegre;
                                                                     
/** Equation du second degr version objet*/
public class EquationObj {
  private double a, b, c;

  /** cre une quation (instance de EquationObj)
   * @param a, b, c les coefficients de cette equation
   */
  public EquationObj(double a, double b, double c) {
     this.a = a;
     this.b = b;
     this.c = c;
     }

  /** renvoie  une racine de cette quation */
  public double racine1() {
     double rac = (-this.b + Math.sqrt(this.delta()))/(2*this.a);
     return(rac);
     }

  /** renvoie l'autre racine de cette quation */
  public double racine2() {
     double rac = (-b - Math.sqrt(delta()))/(2*a);
     return(rac);
     }

  /** renvoie le discriminant de cette quation */
  private double delta() {return this.b * this.b - 4 * this.a * this.c;}

  /** renvoie une reprsentation sous forme de chaine de cette quation */
  public String toString() {
     return("quation(version objet) "+
                           this.a+" x^2 + "+this.b+" x + "+this.c+" = 0");
    }

}
