
package equation2nddegre;
  
 /** Equation du seond degr version statique */
public class EquationSta {

  /** renvoie une racine d'une quation du 2nd degr
   * @param a le coefficient du terme de second degr
   * @param b le coefficient du terme de premier degr
   * @param c le terme constant
   */
  public static double racine1(double a, double b, double c) {
     double rac = (-b + Math.sqrt(delta(a,b,c)))/(2*a);
     return(rac);
     }

  /** renvoie l'autre racine de l'quation */
   public static double racine2(double a, double b, double c) {
     double rac = (-b - Math.sqrt(delta(a,b,c)))/(2*a);
     return(rac);
     }

  // mthode prive, renvoie le discriminant de l'quation 
  private static double delta(double a, double b, double c) {
     return b*b - 4*a*c;
     }

}
