package comptes;

public class TestCompteEnBanque {
  /** Teste la classe CompteEnBanque. */
  public static void main(String[] args) {
    System.out.println("Test CompteEnBanque "+new java.util.Date());
    Banque b1 = new Banque("bleue","3456");
    Banque b2 = new Banque("verte","3004");

    CompteEnBanque c = 
          new CompteEnBanque(b1,"Dupond", 200, CompteEnBanque.ESPECES);
    c.crediter(100, CompteEnBanque.CHEQUE);
    System.out.println(c);
    c = new CompteEnBanque(b1,"Durand", 100, CompteEnBanque.CHEQUE, 500);
    System.out.println(c);
    c = new CompteEnBanque(b2,"Martin", 100, CompteEnBanque.CHEQUE, 500);
    System.out.println(c);

    c = b1.getCompte("Dupond");
    System.out.println(c);
    c = b1.getCompte("Durand");
    System.out.println(c);  
    c = b1.getCompte("Martin");
    System.out.println(c);  
  }
}

/*

Test CompteEnBanque Tue Jan 13 18:22:55 CET 2004

==================
banque bleue
compte numro : 3456_1
titulaire : Dupond
solde : 300,00
dcouvert autoris : 100,00
==================


==================
banque bleue
compte numro : 3456_2
titulaire : Durand
solde : 100,00
dcouvert autoris : 500,00
==================


==================
banque verte
compte numro : 3004_1
titulaire : Martin
solde : 100,00
dcouvert autoris : 500,00
==================


==================
banque bleue
compte numro : 3456_1
titulaire : Dupond
solde : 300,00
dcouvert autoris : 100,00
==================


==================
banque bleue
compte numro : 3456_2
titulaire : Durand
solde : 100,00
dcouvert autoris : 500,00
==================

null

*/
