package sousclasses;
import java.util.Random;

/** Enrichissement de la class Random. */
public class RandomEtendu extends Random {

  /** Cre un nouveau gnrateur de nombres alatoires. */
  public RandomEtendu() {super();} // facultatif

  /** Renvoie un entier compris entre 'min' (inclus) et 'max' (exclus) */
  public int nextInt(int min, int max) {
    return nextInt(max-min+1)+min;
    }


  public static void main(String[] args) {
    Random g = new Random();
    System.out.println("\nRandom");
    for (int i=0;i<4;i++) System.out.print(g.nextDouble()+" ");
    System.out.println();
    for (int i=0;i<4;i++) System.out.print(g.nextInt()+" ");
    System.out.println();
    for (int i=0;i<20;i++) System.out.print(g.nextInt(30)+" ");
    System.out.println("\n\nRandomEtendu");
    RandomEtendu ge = new RandomEtendu();
    for (int i=0;i<20;i++) System.out.print(ge.nextInt(30)+" ");
    System.out.println();
    for (int i=0;i<20;i++) System.out.print(ge.nextInt(20,30)+" ");
    System.out.println();
    }
}

/*


Random
0.18987655443069662 0.9579595196694984 0.880498870643123 0.7346049160265913 
561455278 -110147795 1587812640 -1490238622 
9 11 23 9 24 10 11 20 22 4 5 11 15 27 3 14 28 16 18 23 

RandomEtendu
5 23 27 20 13 22 23 14 18 23 5 8 25 14 6 4 28 29 6 13 
25 25 26 27 29 29 22 30 24 21 22 26 25 28 27 30 22 26 28 25 

*/
