package sousclasses;
import java.util.Vector;

/** Implmente des vecteurs d'entiers (Integer) */
public class VecteurdEntiers extends Vector {
  int taille = 0; // attribut non dfini dans Vector

  /** Cre un vecteur d'entiers vide. */
  public VecteurdEntiers() {super();} // facultatif

  /** Ajoute un entier (chaine ou Integer)  ce vecteur d'entiers. */
  public void addElement(Object o) { // redfinition de la mthode de Vector
    Integer I;
    if (o instanceof Integer) I=(Integer)o;
    else if(o instanceof String) I=(Integer.valueOf((String) o));
    else return;
    super.addElement(I); // appel de la mthode de Vector
    this.taille++;
    }
  /** Renvoie la somme des lments de ce vecteur d'entiers. */
  public int somme() {
    int s=0;
    // for (int i=0;i<this.size();i++)
    for (int i=0;i<this.taille;i++)
      s += ((Integer) this.elementAt(i)).intValue();
    return s;
    }

  /** Renvoie un vecteur d'entiers somme de ce vecteur d'entiers et du 
   *  vecteur d'entiers spcifi. */
  public VecteurdEntiers somme(VecteurdEntiers v) {
      int n = Math.min(this.taille,v.taille);
      VecteurdEntiers som = new VecteurdEntiers();
      for (int i=0;i<n;i++)
        som.addElement(new Integer( ((Integer)this.elementAt(i)).intValue()
                                   +((Integer)v.elementAt(i)).intValue()));
      return som;
      }

  /** renvoie une reprsentation sous forme de chaine de ce vecteur d'entiers
   *  et de sa taille
   */
  public String toString() { // redfinition de la mthode de Vector pour faire
                             // apparaitre la taille
    return "vecteur de "+this.taille+" entiers "+super.toString();}


  public static void main(String[] args) {
    VecteurdEntiers v1 = new VecteurdEntiers();
    v1.addElement(new Integer(12));
    v1.addElement("13");
    System.out.println(v1);
    VecteurdEntiers v2 = new VecteurdEntiers();
    v2.addElement(new Integer(112));
    v2.addElement("113");
    v2.addElement("1133");
    System.out.println(v2);
    System.out.println("somme terme  terme : "+v1.somme(v2));
  }
}

/*

On ne peut pas dfinir de sous-classes des classe prdfinies dclares final
(Integer, Double, String, StringBuffer, Math, Class)

*/

/*

vecteur de 2 entiers [12, 13]
vecteur de 3 entiers [112, 113, 1133]
vecteur de 2 entiers [124, 126]

*/

