
package calculette;
// Calc1 : premire version simplifie de Calc
// somme de deux entiers

// import pour tous les Calci
import java.awt.Frame;    // setLayout, add,                   addWindowListener
import java.awt.Button;   //                addActionListener
import java.awt.Label;
import java.awt.TextField; //               addActionListener, getText, setText
import java.awt.Panel;     // setLayout, add,
import java.awt.FlowLayout; // composants  la suite les uns des autres
import java.awt.BorderLayout; // 5 positions pour les composants N S W E Centre
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;  //      getSource

public class Calc1 extends Frame implements ActionListener
{
 private Button bFin;    // pour sortir
 private Button bCalcul; // pour demander le calcul

 private TextField top1; // pour rentrer le premier nombre entier
 private Label lab ;    // juste pour le decor dans cette version
 private TextField top2; // pour rentrer le deuxieme nombre entier
 private TextField tRes; // pour afficher le resultat
 private TextField tErr; // pour les messages d'erreur

 public Calc1(){
 super("somme de deux entiers (Calc1)");
 top1 = new TextField(5); // crent les composants pour rentrer
 top2 = new TextField(5); // les deux nombres (entiers)
 tRes = new TextField(5); // cre le composant pour le rsultat

 bFin = new Button("Fin");      // crent
 bCalcul = new Button(" = ");   // les boutons
 lab = new Label (" + ");       // et l'tiquette

 // sans champ pour les messages d'erreur
 /*
 this.setLayout(new FlowLayout());                   // les composants seront
 this.add(top1);this.add(lab);this.add(top2);         // mis a la suite
 this.add(bCalcul); this.add(tRes); this.add(bFin);   // les uns des autres
 */

 // avec un champ pour les messages d'erreur
 this.setLayout(new BorderLayout()); // p et tf en positions N et S
 Panel p = new Panel();
 p.setLayout(new FlowLayout());                   // les composants seront
 p.add(top1);p.add(lab);p.add(top2);         // mis a la suite
 p.add(bCalcul); p.add(tRes); p.add(bFin);   // les uns des autres dans p
 this.add("North",p);
 this.tErr = new TextField();
 this.add("South",tErr); this.tErr.setVisible(false);


 this.bCalcul.addActionListener(this); // evenements crees au click
 this.bFin.addActionListener(this);    // definis dans actionPerformed
 this.addWindowListener(new GestionnaireFermeture(this)); // pour fermer la fentre
  }

public void actionPerformed(ActionEvent e){
 if (e.getSource() == bFin) {System.exit(0);};
 if (e.getSource() == bCalcul){
      try {
        // int i1 = (new Integer (top1.getText())).intValue();
        // int i2 = (new Integer (top2.getText())).intValue();
        int i1= Integer.parseInt(top1.getText()); // chaine -> entier
        int i2 = Integer.parseInt(top2.getText());
        tRes.setText(""+(i1+i2));
        this.tErr.setVisible(false);this.pack();
        }
      catch (Exception ex) {
            System.out.println("vous devez rentrer des entiers");
            tRes.setText("???");
            this.tErr.setVisible(true); // this.add(tErr); inutile
            this.tErr.setText("vous devez rentrer des entiers");
            this.pack();
            }
       }
   }
}
