
package calculette;
// avec des rationnels
// versions simplifies dans Calc1, 2 et 3

// import pour tous les Calci
import java.awt.Frame;
import java.awt.Button;
import java.awt.Label;
import java.awt.TextField;
import java.awt.Panel;
import java.awt.FlowLayout;
import java.awt.BorderLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

//  partir de Calc2
import java.awt.Checkbox;
import java.awt.CheckboxGroup;
import java.awt.GridLayout;

// pour Calc4
import rationnels.Rationnel;

public class Calc4 extends Frame implements ActionListener {
 private Button bFin;
 private Button bCalcul;
 private TextField top1n;private TextField top1d; // numrateur
 private TextField top2n;private TextField top2d; // dnominateur
 private TextField tRes;
 private CheckboxGroup cgr = new CheckboxGroup();
 private Checkbox cPlus = new Checkbox("+",cgr,true);
 private Checkbox cMult = new Checkbox("*",cgr,false);
 private TextField tErr;

 public Calc4(){
 super("calculs rationnels");
 Panel p1 = new Panel();
 top1n = new TextField(5);
 top1d = new TextField(5);
 p1.add(new Label("Rat1 "));p1.add(top1n); // tiquette - numrateur
 p1.add(new Label(" / "));p1.add(top1d);   // trait de fraction - dnominateur

 Panel p2 = new Panel();
 top2n = new TextField(5);
 top2d = new TextField(5);
  p2.add(new Label("Rat2 "));p2.add(top2n);
  p2.add(new Label(" / "));p2.add(top2d);

  tRes = new TextField(5);

 bFin = new Button("Fin");
 bCalcul = new Button(" = ");

 Panel oper = new Panel();oper.setLayout(new GridLayout(2,1));
 oper.add(cPlus);oper.add(cMult);


 this.setLayout(new BorderLayout());
 Panel p = new Panel();
 p.setLayout(new FlowLayout());

 p.add(p1);p.add(oper);p.add(p2);p.add(this.bCalcul);
 p.add(this.tRes);p.add(this.bFin);

 this.add("North",p);
 this.tErr = new TextField();
 this.add("South",tErr); this.tErr.setVisible(false);

 this.bCalcul.addActionListener(this);
 this.bFin.addActionListener(this);

 this.addWindowListener(new GestionnaireFermeture(this)); // pour fermer la fentre
 }


public void actionPerformed(ActionEvent e){
 if (e.getSource() == bFin) {System.exit(0);};
 if (e.getSource() == bCalcul){
  try {
  int R1n= Integer.parseInt(top1n.getText());
  int R1d= Integer.parseInt(top1d.getText());
  Rationnel R1 = new Rationnel(R1n,R1d);
  Rationnel R2 = new Rationnel(Integer.parseInt(top2n.getText()),
                               Integer.parseInt(top2d.getText()));
  if (cgr.getSelectedCheckbox()==cPlus)
      this.tRes.setText(""+R1.somme(R2));
  else tRes.setText(""+R1.produit(R2));
      this.tErr.setVisible(false);this.pack();
  }catch(ArithmeticException ex){
            System.out.println(e+"denominateur nul");
            tRes.setText("???");
            this.tErr.setVisible(true);this.add(tErr);
            this.tErr.setText("le dnominateur ne doit pas tre nul");
            this.pack();
            }
   catch(NumberFormatException ex){
            System.out.println(e+"vous devez rentrer des entiers");
            tRes.setText("???");
            this.tErr.setVisible(true); // this.add(tErr);
            this.tErr.setText("vous devez rentrer des entiers");
            this.pack();}
        }

 }
}


/*

javac -d ../../../chap2/classes -classpath ../../classes:../../../chap2/classes/ Calc4.java
                                                         pour Rationnel
*/
