
package fenetres;
import java.awt.Frame;
import java.awt.Button;
import java.awt.Label;
import java.awt.TextField;
import java.awt.FlowLayout; // composants en ligne
import java.awt.GridLayout; // composants en colonne
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.DecimalFormat;

/** Le programme Bonjour avec une interface graphique simple.
 *  Nom, prnom, age et deux notes.
 */
public class Fenetre1 extends Frame implements ActionListener {
  // identite
  private TextField tfNom =new TextField(10); 
  private TextField tfPrenom =new TextField(10);
  // naissance
  private TextField tfAnnee =new TextField(10);
  // notes
  private double note1, note2;
  private TextField tfNote1, tfNote2;
  // boutons
  private Button bValider = new Button("valider");
  private Button bQuitter = new Button("quitter");
  // rponses
  private TextField tfAge = new TextField(10);
  private TextField tfMoyenne = new TextField(10);


  public Fenetre1(String titre) {
    super(titre);
    // this.setLayout(new FlowLayout()); // composants en ligne
    this.setLayout(new GridLayout(15,1)); // composants en colonne
    this.add(new Label("nom"));this.add(tfNom);
    this.add(new Label("prenom"));this.add(tfPrenom);
    // naissance
    this.add(new Label("anne de naissance"));this.add(tfAnnee);
    // notes
    this.add(new Label("notes"));
    tfNote1=new TextField(5); tfNote2=new TextField(5);
    this.add(tfNote1);this.add(tfNote2);
    // boutons
    this.add(bValider); // bouton pour enregistrer les donnes    
    this.add(new Label("age"));this.add(tfAge);
    this.add(new Label("moyenne"));this.add(tfMoyenne);
    this.add(bQuitter); // bouton pour arrter le programme   
    bValider.addActionListener(this); // cette fentre doir couter
    bQuitter.addActionListener(this); // les deux boutons
    this.addWindowListener(new GestionnaireExit());
    }

  public void actionPerformed(ActionEvent e) {
    if (e.getSource()== bQuitter) System.exit(0); // vnement  sur bQuitter
    // sinon vnement sur bValider
    DecimalFormat df = new DecimalFormat("0.##");
    // identite
    String nom = tfNom.getText();
    String prenom = tfPrenom.getText();
    // naissance
    String annee = tfAnnee.getText();
    int age = 2004 - Integer.parseInt(annee);
    tfAge.setText(""+age);
    // notes
    note1=Double.parseDouble(tfNote1.getText());
    note2=Double.parseDouble(tfNote2.getText());
    this.add(new Label("moyenne"));
    tfMoyenne.setText(""+(note1+note2)/2);
    }
}
 
class TestFen1 {
  public static void main(String[] args) {
    Fenetre1 f = new Fenetre1("1");
    f.pack();
    f.show();
    }
}
