package entrees_sorties;
import java.io.*;
import java.util.*;
import bibliDP.es.Clavier;


public class Test1 {
  public static void main(String[] args) throws IOException {
  System.out.println("1- lecture d'un caractre au clavier");
  int i = System.in.read();char c = (char)i; 
  System.out.println("i="+i+" c="+c);
  // ou  char c = (char)System.in.read();System.out.println("c="+c);
  }
}

class Test2 {
  public static void main(String[] args)  throws IOException {
 System.out.println("2- lecture d'une ligne (chaine de caractres) au clavier");
  BufferedReader entree = new BufferedReader(new InputStreamReader(System.in));
  String ligne = entree.readLine();
  System.out.println(ligne);
  }
}

class Test2bis {
  public static void main(String[] args)  throws IOException {
  System.out.println(
        "2bis- lecture d'une ligne (chaine de caractres) au clavier + tokens"
       +"tapez deux \"entree\" pour arrter");
  BufferedReader entree = new BufferedReader(new InputStreamReader(System.in));
  StringTokenizer st;
  String ligne = entree.readLine();
  System.out.println("ligne="+ligne);
  // while (ligne.length() >0 ) { // deux RC pour s'arrter
  // ou
  while (!(ligne.equals("")) ) {
      st = new StringTokenizer(ligne);
      while (st.hasMoreTokens()) System.out.println("lexeme="+st.nextToken());
      ligne=entree.readLine();
      System.out.println("ligne="+ligne);
      }
  }
}

class Test2ter {
  public static void main(String[] args)  throws IOException {
  System.out.println("2ter - lecture de tokens au clavier"
                    +"tapez deux \"CTR D\" pour arrter");
 StreamTokenizer entree = new StreamTokenizer(new InputStreamReader(System.in));
     int type = entree.nextToken();
    while (type != StreamTokenizer.TT_EOF ) {
       System.out.print("type="+type);
       if (type == StreamTokenizer.TT_NUMBER) 
                   System.out.println(" nval="+entree.nval);
       if (type == StreamTokenizer.TT_WORD) 
                   System.out.println(" sval="+entree.sval);
       type = entree.nextToken();
       }
  }
}

class Test3 {
  public static void main(String[] args)  throws IOException {
  System.out.println(
       "3- lecture et ecriture de 7 caractres dans des fichiers textes");
  FileReader fr = new FileReader("fichier_texte");
  FileWriter fw = new FileWriter("copie_fichier_texte");
  // int c=0; // 1
  char c; // 2
  for (int i=1; i<7;i++) {
      // c=fr.read(); // 1
      c=(char)fr.read(); // 2
      fw.write(c);
      // System.out.println(i+" "+c+" "+(char)c); // 1
      System.out.println(i+" "+c); // 2
      }
  fr.close();fw.close();
  }
}

class Test4 {
  public static void main(String[] args)  throws IOException {
  System.out.println("4- lecture criture d'un fichier de caractres");
    FileReader fr = new FileReader("fichier_texte");
    FileWriter fw = new FileWriter("copie_fichier_texte");
    int c; while ((c=fr.read())!=-1) {System.out.print(c+""+(char)c);
                                      fw.write(c);}
    fr.close(); fw.close();
    }
}

class Test5 {
  public static void main(String[] args)  throws IOException {
  System.out.println("5- lecture d'une ligne de caractres");
    FileReader fr = new FileReader("fichier_texte");
    // int c; while ((c=fr.read())!=10) System.out.print(c+""+(char)c);
    char c; while ((c=(char)fr.read())!='\n') System.out.print(c+""+(char)c);
    fr.close();
    }
}

class Test6 {
  public static void main(String[] args)  throws IOException {
    System.out.println("6- lecture de lignes dans un fichier texte");
    BufferedReader br = new BufferedReader(new FileReader("fichier_texte"));
    String ligne;
    while ((ligne = br.readLine()) != null) System.out.println(ligne);
    }
}
                                                                                                       
class Test6bis {
  public static void main(String[] args)  throws IOException {
    System.out.println(
     "6bis- lecture de lignes dans un fichier texte + tokens(StringTokenizer)");
    BufferedReader br = new BufferedReader(new FileReader("fichier_texte"));
    StringTokenizer st;
    String ligne;
    while ((ligne = br.readLine()) != null) {
      System.out.println("ligne="+ligne);
      st = new StringTokenizer(ligne);
      while (st.hasMoreTokens()) System.out.println("lexeme="+st.nextToken());
      }
    }
}
                                                                                                       
class Test6ter {
  public static void main(String[] args)  throws IOException {
    System.out.println(
            "6ter- lecture de lexmes dans un fichier texte (StreamTokenizer)");
    StreamTokenizer entree = 
                           new StreamTokenizer(new FileReader("fichier_texte"));
    int type = entree.nextToken();
    System.out.println(type);
    while (type != StreamTokenizer.TT_EOF ) {
       System.out.print("type="+type);
       if (type == StreamTokenizer.TT_NUMBER) 
                                       System.out.println(" nval="+entree.nval);
       if (type == StreamTokenizer.TT_WORD) 
                                       System.out.println(" sval="+entree.sval);
       type = entree.nextToken();
       }
    }
}

class Test7 {
  public static void main(String[] args)  throws IOException {
    System.out.println(
             "7- ecriture dans un fichier texte de type lmentaire ou object");
    PrintWriter pw = new PrintWriter(new FileWriter("sortie_texte"));
    pw.println("aaa");pw.println(3);pw.println(new Double(4));
    Vector v = new Vector();v.add("1");v.add("2");pw.println(v);
    Cla c = new Cla(6,new Double(6.6),"bbb");
    System.out.println("c="+c); pw.println(c);
    Rationnel r = new Rationnel(7,5);
    System.out.println("r="+r); pw.println(r);

    pw.close();
    // idem + efficace avec un BufferedWriter
    /*
    PrintWriter pw = new PrintWriter(new BufferedWriter(
                                               new FileWriter("sortie.texte")));
    */
    }
}

class Test8 {
  public static void main(String[] args)  throws IOException {
    System.out.println("8- Ecrire et lire dans un fichier binaire");
    DataOutputStream dos = new DataOutputStream(new BufferedOutputStream(
          new FileOutputStream("binaire")));
    System.out.println("ecriture");
    dos.writeInt(1234);dos.writeDouble(567.89);dos.writeUTF("abcde");
    dos.close();
     System.out.println("ecriture termine\nlecture");
    DataInputStream dis = new DataInputStream(new BufferedInputStream(
          new FileInputStream("binaire")));
    System.out.println("ecriture des valeurs lues");
    System.out.println(dis.readInt());
    System.out.println(dis.readDouble());
    System.out.println(dis.readUTF());
     // ou (mais c'est lourd !
     // System.out.println(Integer.toString(dis.readInt())
      //     +Double.toString(dis.readDouble())+dis.readUTF());
    }
}

class Test9 {
  public static void main(String[] args)  throws IOException {
    System.out.println("9- Serialisation");
    try{
    // System.out.println(new File("seria").exists());
    ObjectOutputStream oos = 
                         new ObjectOutputStream(new FileOutputStream("seria"));
    int n = 3;
    Double d = new Double(6.6);
    // Date da = new Date();
    Date da = new GregorianCalendar(1944,Calendar.MAY,27).getTime();
    Vector v = new Vector();v.add("7");v.add("8");
    Rationnel r = new Rationnel(11,7);
    Cla cla = new Cla(1,new Double(2.2),"ccc",da);
    int[] tab = {1,2,3,4,5,6};
    System.out.println("\n"+n+"\n"+d+"\n"+da+"\n"+v+"\n"+cla+"\n"+r);
    for (int i=0;i<6;i++) { System.out.print(tab[i]);}

    oos.writeInt(n);oos.writeObject(d);
    oos.writeObject(da);oos.writeObject(v);
    oos.writeObject(cla);oos.writeObject(r);oos.writeObject(tab);
    oos.writeObject(" "+n+d+da+v+cla+r+tab);

    System.out.println("\nlecture");
    // String fichier = "seria";
    // File f = new File(fichier);
    // if (f.exists()){
    ObjectInputStream ois = new ObjectInputStream(new FileInputStream("seria"));
    int n1 = ois.readInt();
    Double d1 = (Double)ois.readObject();
    Date da1=(Date)ois.readObject();
      Vector v1=(Vector)ois.readObject();
      Cla cla1  = (Cla) ois.readObject();
    Rationnel r1 =  (Rationnel) ois.readObject();
     int[] tab1= (int[])ois.readObject();
    Object o = ois.readObject();

     System.out.println("\n"+n1+"\n"+d1+"\n"+da1+"\n"+v1+"\n"+cla1+"\n"+r1);
     for (int i=0;i<6;i++) { System.out.print(tab1[i]);}
     System.out.println();
    System.out.println(o);
    // } else System.out.println("le fichier "+fichier+" n''existe pas");
  }catch(Exception e){System.out.println(e);}
    }
}

class Test10 {
  public static void main(String[] args)  throws IOException {
    System.out.println("10- la classe File");
    String fichier = Clavier.readString("nom du fichier ? ");
     File f = new File(fichier);
     if (f.exists()) {
     String nom = f.getName(); System.out.println(nom);
     String chemin = f.getPath(); System.out.println(chemin);
     String cheminAbsolu = f.getAbsolutePath();  
     System.out.println(cheminAbsolu); // String
     File cheminAbsoluFile = f.getAbsoluteFile();  
     System.out.println(cheminAbsoluFile); // File
     boolean bf = f.isFile(); System.out.println(bf);
     boolean bd =  f.isDirectory(); System.out.println(bd);
     long longueur = f.length(); System.out.println(longueur);
     String parent = f.getParent();  System.out.println(parent);
     File parentFile = f.getParentFile(); System.out.println(parentFile);
     if (f.isDirectory()) {
       String[] liste  = f.list() ; // fichiers et rpertoires
       for (int i=0;i<liste.length;i++) System.out.println(liste[i]);
       File[] listeF = f.listFiles() ; // fichiers et rpertoires (File)
       for (int i=0;i< listeF.length;i++) System.out.println(listeF[i]);
       }
     }
     else System.out.println("ce fichier n'existe pas");
  }
}

