package dominos;

public class Case {
   private int x,y;
   private String val;

  /** cre une case vide de coordonnes 'x' et 'y' */
  public Case(int x, int y) {
   this.x=x;
   this.y=y;
   this.val=" ";
  }

  /** Teste si cette case est vide */
  public boolean vide() {
    return this.val.equals(" ");
    }

  /** Remplit cette case par la chaine 's' */
  public void remplir(String s) {
    this.val=s;
    }

  /** Vide cette case */
  public void vider() {
    this.val=" ";
    }

   /** Cre et renvoie la case  droite de cette case */
   public Case droite() {
     return new Case(this.x, this.y+1);
     }
    /** Cre et renvoie la case sous cette case */
    public Case bas() {
     return new Case(this.x+1, this.y);
     }

  /** renvoie la premire coordonne de cette case */
  public int getX() {return this.x;}
  /** renvoie la deuxime coordonne de cette case */
  public int getY() {return this.y;}

  /** renvoie les coordonnes de cette case sous forme de chaine de caractres */
  public String coord() {return ""+(this.x+1)+(this.y+1);}
  /** Renvoie le contenu de cette Case sous forme de chaine de caractres */
  public String toString() {return ""+this.val;}
}
