package piles;
import java.util.Vector;
/** Implmentation de la structure de pile (dernier entr, premier sorti */
public class Pile {
  private Vector v ;
  /** Cre une pile vide. */
  public Pile() {
    this.v=new Vector();
    }
  /** Empile l'objet 'a' dans cette pile. */
  public void empiler(Object o) {
    this.v.addElement(o);
    }
  /** Dpile un lment de cette pile. */
  public void depiler() {
    if (this.vide()) System.out.println("pile vide");
    else this.v.removeElementAt(this.v.size()-1);
    // attention, pas else this.v.remove(this.v.lastElement());
    // car cet lment pourrait apparaitre ailleurs qu'en dernire position
    }
  /** Renvoie l'objet ou sommet de cette pile. */
  public Object sommet() {
    if (this.vide()) {
       System.out.println("pile vide");
       return null;
       }
    //else return this.v.elementAt(this.v.size()-1);
    // ou 
    else return this.v.lastElement();
    }
  /** Teste si cette pile est vide. */
  public boolean vide() {
    return this.v.size()==0;
    }
  /** Renvoie une reprsentation sous forme de chaine de cette pile. */
  public String toString() {
     return this.v.toString();
     }
}
