// reste  faire choix couleur
//               StringTokenizer
package dominos;
import java.awt.*;
import java.awt.event.*;
import java.util.StringTokenizer;

import java.util.Vector;
public class Jeu extends Frame implements ActionListener {
  private Grille g;
  private int numero;
  private Case premiereCase = null;
  private CheckboxGroup cbg = new CheckboxGroup();
  private Checkbox poser = new Checkbox("poser",cbg,true);
  private Checkbox retirer = new Checkbox("retirer",cbg,false);
  TextField tf = new TextField(20);

  /** cre une partie pour ce jeu sur la grille 'g' */
  public Jeu(Grille g) {
    super("jeu");
    this.g=g;
    this.numero =0;
    this.addWindowListener(new GestionnaireExit());
    this.setLayout(new BorderLayout());
    Panel p1 = new Panel(new FlowLayout());
    p1.add(poser);
    p1.add(retirer);
    this.add("North",p1);
    this.add("Center",g.p);
    for (int i=0;i<this.g.n;i++)
      for (int j=0;j<this.g.m;j++) {
        this.g.lesCases[i][j].getBouton().addActionListener(this);
        this.add("Center",this.g.p);
        this.add("South",this.tf);
        }
    }

  /** Pose un domino sur la grille de ce jeu si c'est possible, avec un nouveau
   *  numro. Sinon affiche un message.*/
  public void poser(Domino d){
    this.numero++;
    for (int i=0;i<2;i++) {
      Case c = d.getCases()[i];
      c.remplir(Integer.toString(this.numero));
      }
    }

  public void actionPerformed(ActionEvent e) {
    this.tf.setText("");
    Button b = (Button)e.getSource();
    String s = e.getActionCommand();
    // int iblanc = s.indexOf(' ');
    // String sx = s.substring(0,iblanc);
    // String sy = s.substring(iblanc+1);
    StringTokenizer st = new StringTokenizer(s);
    String sx = st.nextToken();
    String sy = st.nextToken();
    int x = Integer.parseInt(sx);
    int y = Integer.parseInt(sy);
    Case cClick = this.g.lesCases[x][y];
    if (this.cbg.getSelectedCheckbox () == poser) {
       if (cClick.vide()) {
         if (this.premiereCase == null) {
            this.premiereCase=cClick;
            cClick.marquer();
            }
         else if (this.premiereCase.adjacente(cClick)) {
           Domino d = new Domino(this.premiereCase,cClick);
           this.premiereCase = null;
           this.poser(d);
           this.tf.setText("domino "+cClick.getVal()+" pos");
           }
        else tf.setText("cases non adjacentes");
       }
     else  this.tf.setText("case occupe");

     } // fin poser
    else if (this.cbg.getSelectedCheckbox () == retirer) {
        if (cClick.vide()) this.tf.setText("pas de domino sur cette case");
        else if (cClick.marquee()) {
          this.tf.setText("premire case annule");
          cClick.vider();
          this.premiereCase=null;
          }
        else this.retirerDomino(cClick);
        }  // fin retirer
      if (this.g.pleine()) this.tf.setText("gagn");
     }

    /** retire le domino qui se trouve sur la case c */
    public void retirerDomino(Case c) {
      Vector v = this.g.voisines(c);
      for (int i=0;i<v.size();i++) {
        Case ci = (Case)v.elementAt(i);
        if (ci.getVal().equals(c.getVal())) { ci.vider();}
        }
      this.tf.setText("domino "+c.getVal()+" retir");
      c.vider();
      }
}

