
package bonjour;
import java.awt.Frame;
import java.awt.Button;
import java.awt.Label;
import java.awt.TextField;
import java.awt.TextArea;
import java.awt.Panel;
import java.awt.LayoutManager;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.DecimalFormat;
import java.awt.Checkbox;
import java.awt.CheckboxGroup;

public class Fenetre extends Frame implements ActionListener {
  // identite
  private TextField tfNom =new TextField(10); 
  public TextField tfPrenom =new TextField(10);
  // naissance
  private TextField tfAnnee =new TextField(10);
  // IMC
  // public TextField tfPoids =new TextField(10);
  // public TextField tfTaille=new TextField(10);
  // notes
  private double[] notes;
  private TextField[] tfNotes;
  private CheckboxGroup cbg = new CheckboxGroup();
  // boutons
  private Button bValider = new Button("valider");
  private Button bQuitter = new Button("quitter");
  // messages
  private TextArea ta = new TextArea(15,10);


  public Fenetre() {
    this.setLayout(new BorderLayout());
    Panel questions= new Panel(new GridLayout(5,1)); 
    this.add("North", questions);
       // identite
       Panel identite = new Panel(new FlowLayout()); questions.add(identite);
          identite.add(new Label("nom"));identite.add(tfNom);
          identite.add(new Label("prenom"));identite.add(tfPrenom);
       // naissance
       Panel naissance= new Panel(new FlowLayout()); questions.add(naissance);
          naissance.add(new Label("anne de naissance")); naissance.add(tfAnnee);
       // IMC
       /*
       Panel pIMC = new Panel(new FlowLayout()); questions.add(pIMC);
          pIMC.add(new Label("poids en kg")); pIMC.add(tfPoids);
          pIMC.add(new Label("taille en m")); pIMC.add(tfTaille);
      */
       // notes
       questions.add(new Label("NOTES"));
       Panel pNotes = new Panel(new FlowLayout()); questions.add(pNotes);
          notes = new double[3];
          tfNotes = new TextField[3];
          for (int i=0;i<3;i++) tfNotes[i]=new TextField(5);
          pNotes.add(new Label("mathmatiques")); pNotes.add(tfNotes[0]);
          pNotes.add(new Label("informatique")); pNotes.add(tfNotes[1]);
          pNotes.add(new Label("langue"));

          Checkbox cbAn = new Checkbox("anglais",cbg,true);pNotes.add(cbAn);
          Checkbox cbAll = new Checkbox("allemand",cbg,false);pNotes.add(cbAll);
          Panel pChoix = new Panel(new GridLayout(2,1));
          pChoix.add(cbAn);pChoix.add(cbAll);pNotes.add(pChoix);
          pNotes.add(tfNotes[2]);
       // boutons
       Panel boutons = new Panel(new FlowLayout()); questions.add(boutons);
          boutons.add(bValider); boutons.add(bQuitter);
    this.add("Center",ta);
    bValider.addActionListener(this);
    bQuitter.addActionListener(this);
    this.addWindowListener(new GestionnaireExit());

  }

  public void actionPerformed(ActionEvent e) {
    if (e.getSource()== bQuitter) System.exit(0);
    String message= "";
    DecimalFormat df = new DecimalFormat("0.##");// identite
    String nom = tfNom.getText();
    String prenom = tfPrenom.getText();
    message += "bonjour "+prenom+" "+nom;
    if (nom.equals("")) message +="\n(nom absent)";
    // naissance
    try {
    String annee = tfAnnee.getText();
    int age = 2003 - Integer.parseInt(annee);
    message += "\nvous avez "+age+" ans";
    } catch(Exception ex){message += 
                             "\nanne de naissance inexistante ou incorrecte";}
    // IMC
    /*
    try {
    double taille = Double.parseDouble(tfTaille.getText());
    double poids = Double.parseDouble(tfPoids.getText());
    double IMC = poids/(taille*taille);
    String dfIMC = df.format(IMC);
    message += "\nvotre IMC (Indice de Masse corporelle) est gal  "+dfIMC;
    } catch(NumberFormatException ex) { 
              message += "\npoids et/ou taille inexistant(s) ou incorrect(s)";}
    */
    // notes
    try {
    double somme =0;
    for (int i=0;i<3;i++) { 
       String s = tfNotes[i].getText();
       if (s.equals("")) throw new Exception("\nnote(s) absente(s)");
       notes[i] = Double.parseDouble(tfNotes[i].getText());
       if (notes[i] <0 || notes[i] >20) throw new Exception(
                           "\nles notes doivent tre comprises entre 0 et 20");
       somme += notes[i];
       }
    double moyenne = somme/3;
    String dfMoyenne = df.format(moyenne);
    message += "\n\nvos notes sont\n\nmathmatiques : "+df.format(notes[0])
                                   +"\ninformatique : "+df.format(+notes[1])+"\n";
    message += cbg.getSelectedCheckbox().getLabel();
    message += " : "+df.format(notes[2]);
    message += "\n\nmoyenne "+dfMoyenne;
    } catch(NumberFormatException ex) {message += "\n note incorrecte";}
    catch(Exception ex){message += ex.getMessage();}
    // message
    ta.setText(message);
    }

}
