package ab;

public class TestAB {
  public static void main(String[] args) {
    System.out.println("TestAB");
    ArbreBinaire a =
        new ArbreBinaire("+",
                         new ArbreBinaire("-",
                                          new ArbreBinaire("f",
                                                           new ArbreBinaire("x")
                                                           ),
                                          new ArbreBinaire(new Integer(4))
                                          ),
                          new ArbreBinaire("g",
                                           new ArbreBinaire(new Double(5)),
                                           new ArbreBinaire("y")
                                           )
                          );
    // question 1
    System.out.println("\nquestion 1");
    System.out.println(a);
    System.out.println("forme prfixe : " + a.formePrefixe());
    System.out.println("forme postfixe : "+a.formePostfixe());
    System.out.println("forme infixe : " + a.formeInfixe());
    System.out.println("forme infixe parenthse : " + a.formeInfixePar());

    // question 2
    System.out.println("\nquestion 2\ndessin de l'arbre dans une Frame");
    DessinArbre d = new DessinArbre(a);
    d.pack();
    d.show();

    // question 3
    System.out.println("\nquestion 3");
    System.out.println("forme prfixe : " + a.formePrefixeEn());
    System.out.println("forme postfixe : "+a.formePostfixeEn());
    System.out.println("forme infixe : " + a.formeInfixeEn());
    System.out.println("forme infixe parenthse : " + a.formeInfixeParEn());

    }
}

/*

TestAB
question 1
+
   -
      f
         x
      4
   g
      5.0
      y
forme prfixe : + - f x 4 g 5.0 y
forme postfixe :  x f 4 - 5.0 y g +
forme infixe :  f x - 4 + 5.0 g y
forme infixe parenthse :  ( ( ( f x ) - 4 ) + ( 5.0 g y ) )

question 2
dessin de l'arbre dans une Frame

question 3
forme prfixe : + - f x 4 g 5.0 y
forme postfixe : x f 4 - 5.0 y g +
forme infixe : f x - 4 + 5.0 g y
forme infixe parenthse : ( ( ( f x ) - 4 ) + ( 5.0 g y ) )

*/
