package dates;
// import java.util.Date;          // si on veut crer des Dates intermdiaires
import java.util.GregorianCalendar;
import java.util.Calendar;

public class DateEtGc {
  public static void main(String[] args) {
    GregorianCalendar gc0 = new GregorianCalendar();
    // Date d0 = gc.getTime();                      // et il faut importer Date
    System.out.println("\naujourd'hui : "+gc0.getTime());            // ou + d0
    System.out.println("\nnombre de millisecondes depuis le 1er janvier 1970 : "
          + gc0.getTime().getTime());                      // ou + d0.getTime()

    int nbJours = Integer.parseInt(args[0]);
    GregorianCalendar gc = (GregorianCalendar)gc0.clone();
                                                    // pour ne pas craser gc0
    gc.add(Calendar.DAY_OF_YEAR, nbJours);
    System.out.println("\ndans "+nbJours+" jours : "+gc.getTime());
    System.out.println("\net de "+nbJours+" jours en "+nbJours+" jours :");
    for (int i=0; i<Integer.parseInt(args[1]);i++) {
      gc.add(Calendar.DAY_OF_YEAR, nbJours);
      System.out.println(gc.getTime());
      }

    gc = new GregorianCalendar();
    System.out.println("\nIl s'est pass "
                       + (gc.getTime().getTime()-gc0.getTime().getTime())/1000.
                       + " secondes depuis le dbut du programme");



  }
}

/*

aujourd'hui : Wed Dec 10 12:15:51 CET 2003

nombre de millisecondes depuis le 1er janvier 1970 : 1071054951663

dans 100 jours : Fri Mar 19 12:15:51 CET 2004

et de 100 jours en 100 jours :
Sun Jun 27 12:15:51 CEST 2004
Tue Oct 05 12:15:51 CEST 2004
Thu Jan 13 12:15:51 CET 2005
Sat Apr 23 12:15:51 CEST 2005
Mon Aug 01 12:15:51 CEST 2005
Wed Nov 09 12:15:51 CET 2005

Il s'est pass 0.315 secondes depuis le dbut du programme

*/