package etablissement;
import java.util.Vector;
import java.text.DecimalFormat;

/** tablissement compos de plusieurs groupes */
public class Etablissement {
  private String nom;
  private Vector lesGroupes;

/** Creation d'un tablissement connaissant son 'nom' */
  public Etablissement(String nom){
    this.nom=nom;
    this.lesGroupes= new Vector();
    }

/**  ajoute un groupe 'g'  cet tablissement */
  public void ajouterGroupe(Groupe g){
    this.lesGroupes.addElement(g);
	}

/** renvoie la moyenne de la moyenne des groupes de cet tablissement */
  public  double getMoyenne(){
    double somme=0;
    for (int i=0;i< this.lesGroupes.size();i++){
    somme+=((Groupe) this.lesGroupes.elementAt(i)).getMoyenne();}
    return(somme/this.lesGroupes.size());
   }

/** renvoie les rsultats de cet tablissement sous forme de String
 * (nom de cet tablissement et rsultats des groupes)  */
  public String toString() {
    DecimalFormat df = new DecimalFormat("0.00"); // 2 decimales
    String chaine  = new String("\nEtablissement "+this.nom);
    for (int i=0;i<this.lesGroupes.size();i++){
    chaine += ((Groupe) this.lesGroupes.elementAt(i)).toString();}
    chaine = chaine + "\n\nMoyenne de l'tablissement : "
                 // + getMoyenne();
                    + df.format(getMoyenne());
    return(chaine);
    }
}

