package etablissement;

import java.util.Date;
import java.util.GregorianCalendar;

public class TestEtablissement {

  public static void main(String[] args) {

  System.out.println(new Date());
  Eleve e1 = new Eleve("Dupond", "Marie", new GregorianCalendar(1980,1,2),"Paris");
  Eleve e2 = new Eleve("Dupont", "Julie", new GregorianCalendar(1981,3,4),"Versailles");
  Eleve e3 = new Eleve("Martin", "Alain", new GregorianCalendar(1983,5,6),"Boulogne");
  Eleve e4 = new Eleve("Durand", "Bernard", new GregorianCalendar(1986,7,8),"Ivry");
  Eleve e5 = new Eleve("Roi", "Caroline", new GregorianCalendar(1985,9,10),"Charenton");
  Eleve e6 = new Eleve("Baron", "David", new GregorianCalendar(1982,11,12),"Paris");

  e1.ajouterNote(12); e1.ajouterNote(13);
  e2.ajouterNote(11); e2.ajouterNote(7);e2.ajouterNote(9);
  e3.ajouterNote(13); e3.ajouterNote(13);
  e4.ajouterNote(10);
  e5.ajouterNote(12); e5.ajouterNote(3);e5.ajouterNote(17); e5.ajouterNote(17);
  e6.ajouterNote(14); e6.ajouterNote(18);e6.ajouterNote(8);

// test Eleve
// System.out.println(e1+"\n"+e2+"\n"+e3+"\n"+e4+"\n"+e5+"\n"+e6);

  Groupe g1 = new Groupe("MST ISASH");
  g1.ajouterEleve(e1); g1.ajouterEleve(e2);g1.ajouterEleve(e3);
  Groupe g2 = new Groupe("MASS");
  g2.ajouterEleve(e4); g2.ajouterEleve(e5);g2.ajouterEleve(e6);
// test Groupe
// System.out.println(g1);System.out.println(g2);

// test tablissement
  Etablissement e = new Etablissement("UFR math-info");
  e.ajouterGroupe(g1); e.ajouterGroupe(g2);
  System.out.println(e);
  }
}

/*

Fri Jun 18 11:44:01 CEST 2004

Etablissement UFR math-info

   Groupe MST ISASH
      Dupond Marie ne(e) le 2/1/1980 a Paris
         Notes:[12.0, 13.0]
         Moyenne de l eleve: 12,50
      Dupont Julie ne(e) le 4/3/1981 a Versailles
         Notes:[11.0, 7.0, 9.0]
         Moyenne de l eleve: 9,00
      Martin Alain ne(e) le 6/5/1983 a Boulogne
         Notes:[13.0, 13.0]
         Moyenne de l eleve: 13,00
   Moyenne du groupe : 11,50

   Groupe MASS
      Durand Bernard ne(e) le 8/7/1986 a Ivry
         Notes:[10.0]
         Moyenne de l eleve: 10,00
      Roi Caroline ne(e) le 10/9/1985 a Charenton
         Notes:[12.0, 3.0, 17.0, 17.0]
         Moyenne de l eleve: 12,25
      Baron David ne(e) le 12/11/1982 a Paris
         Notes:[14.0, 18.0, 8.0]
         Moyenne de l eleve: 13,33
   Moyenne du groupe : 11,86

Moyenne de l'tablissement : 11,68

*/
