
package repertoires;

import java.util.Vector;
import java.util.Hashtable;
                                                           // avec une Hashtable
/** Implmente des rpertoires ayant un nom et
 *      comprenant des noms et numros de tlphone.
 *  Tous les noms doivent tre diffrents.
 */
public class Repertoire2 {
    private String nomDuRepertoire;
    // private Vector lesNoms;
    private Hashtable lesTels;
    private static Vector tousLesRepertoires = new Vector();

/** cree un nouveau repertoire avec le nom spcifi */
    public Repertoire2(String nomDuRepertoire){
	    this.nomDuRepertoire=nomDuRepertoire;
	    // this.lesNoms=new Vector();
	    this.lesTels=new Hashtable();
            Repertoire2.tousLesRepertoires.addElement(this);
	}

/** ajoute dans ce rpertoire un nom et son tlphone
  * si le nom existe dj, modifie le tlphone */
    public void ajouter(String nom, String tel){
      String tel1 = (String)this.lesTels.get(nom);
      if (tel1 != null) this.lesTels.remove(nom);
      this.lesTels.put(nom,tel);
      }



/** renvoie le numro de tlphone correspondant au  nom spcifi,
 *  renvoie null s'il n'y en a pas */
    public String getTel(String nom){
      return (String)this.lesTels.get(nom);
      }

/** supprime de ce rpertoire le nom spcifi et son tlphone */
    public void supprimer(String nom) {
      this.lesTels.remove(nom);
      }


/** renvoie une reprsentation sous forme de chane de caractres de
 *  ce rpertoire */
  public String toString() {
    String res="\nrpertoire \""+ this.nomDuRepertoire+
            // "\"\nnom  - tl\n===============\n"
                 "\"\n"+this.lesTels;

      /*
      for (int i=0;i<this.lesNoms.size();i++)
      res += this.lesNoms.elementAt(i)+" : "
            +this.lesTels.elementAt(i).toString()+"\n";
            */
      return res+"\n===============\n";

      }


/** renvoie le rpertoire dont le nom est spcifi,
 *  cre le rpertoire s'il n'existe pas */
 public static Repertoire2 getRepertoire(String nomDuRepertoire) {
   for (int i=0; i<Repertoire2.tousLesRepertoires.size();i++) {
      Repertoire2 r = ((Repertoire2)Repertoire2.tousLesRepertoires.elementAt(i));
      if (r.nomDuRepertoire.equals(nomDuRepertoire)) return(r);}
      return new Repertoire2(nomDuRepertoire);
      }

/** renvoie une reprsentation sous forme de chane de caractres de
 *  tous les rpertoires */
  public static String tousLesRepertoiresToString() {
    StringBuffer sb = new StringBuffer("\nliste de tous les rpertoires\n");
    for (int i=0;i<tousLesRepertoires.size();i++)
      sb = sb.append(tousLesRepertoires.elementAt(i));
      return sb.toString();
      }
}
