package repertoires;

/** classe de test pour la classe Repertoire1 */
public class Test1 {

  public static void main(String[] args) {
  System.out.println("Test1");
  Repertoire1 r = new Repertoire1("UFR7eme");
  r.ajouter("pastre", "562");
  r.ajouter("despres", "543");
  r.ajouter("bouzy", "558");
  r.ajouter("fortier", "541");
  r.ajouter("parchemal", "523");
  r.ajouter("labat",  "544");
  System.out.println(r.toString());

  String nom,  tel;
  nom = "despres";
  System.out.println("recherche du tlphone de "+nom+"");
  tel = r.getTel(nom);
  if (tel == null) System.out.println("pas trouve");
                   else System.out.println(tel);
  nom = "laba";
  System.out.println("recherche du tlphone de "+nom+"");
  tel = r.getTel(nom);
  if (tel == null) System.out.println("pas trouve");
                   else System.out.println(tel);
  nom = "labat";
  System.out.println("recherche du tlphone de "+nom+"");
  tel = r.getTel(nom);
  if (tel == null) System.out.println("pas trouve");
                   else System.out.println(tel);

  System.out.println();
  nom = "labat";
  System.out.println("correction du telephone de "+nom+"");
  r.ajouter(nom, "545");
  System.out.println("nouveau repertoire :\n"+ r);

  nom = "forti";
  System.out.println("suppression de \""+nom);
  r.supprimer(nom);
  System.out.println("nouveau repertoire :\n"+ r);

  nom = "fortier";
  System.out.println("suppression de "+nom+"");
  r.supprimer(nom);
  System.out.println("nouveau repertoire :\n"+ r);

  System.out.println("recherche de rpertoires");
  r = Repertoire1.getRepertoire("UFR4eme");
  System.out.println(r);
  r = Repertoire1.getRepertoire("UFR7eme");
  System.out.println(r);

  System.out.println("tous les rpertoires"+Repertoire1.tousLesRepertoiresToString());

  }
}

/*

Test1

rpertoire "UFR7eme"
nom  - tl
===============
pastre : 562
despres : 543
bouzy : 558
fortier : 541
parchemal : 523
labat : 544
===============

recherche du tlphone de despres
543
recherche du tlphone de laba
pas trouve
recherche du tlphone de labat
544

correction du telephone de labat
nouveau repertoire :

rpertoire "UFR7eme"
nom  - tl
===============
pastre : 562
despres : 543
bouzy : 558
fortier : 541
parchemal : 523
labat : 545
===============

suppression de "forti
nouveau repertoire :

rpertoire "UFR7eme"
nom  - tl
===============
pastre : 562
despres : 543
bouzy : 558
fortier : 541
parchemal : 523
labat : 545
===============

suppression de fortier
nouveau repertoire :

rpertoire "UFR7eme"
nom  - tl
===============
pastre : 562
despres : 543
bouzy : 558
parchemal : 523
labat : 545
===============

recherche de rpertoires

rpertoire "UFR4eme"
nom  - tl
===============
===============


rpertoire "UFR7eme"
nom  - tl
===============
pastre : 562
despres : 543
bouzy : 558
parchemal : 523
labat : 545
===============

tous les rpertoires
liste de tous les rpertoires

rpertoire "UFR7eme"
nom  - tl
===============
pastre : 562
despres : 543
bouzy : 558
parchemal : 523
labat : 545
===============

rpertoire "UFR4eme"
nom  - tl
===============
===============

*/
