package repertoires;

/** classe de test pour la classe Repertoire3 */
public class Test3 {

  public static void main(String[] args) {
  System.out.println("Test3");
  Repertoire3 r = new Repertoire3("UFR7eme");
  r.ajouterElement("pastre", "dominique", "705M", "562");
  r.ajouterElement("despres", "sylvie", "705O", "543");
  r.ajouterElement("bouzy", "bruno", "705E5", "558");
  r.ajouterElement("fortier", "dominique", "705P", "541");
  r.ajouterElement("parchemal", "yannick", "705D4", "523");
  r.ajouterElement("labat", "jean-marc", "705N", "544");
  r.ajouterElement("fortier", "domi", "705P", "540");
  System.out.println(r.toString());

  String nom, prenom, tel;
  nom = "despres";
  prenom = "sylvie";
  System.out.println("recherche du tlphone de "+prenom+" "+nom+"");
  tel = r.getTel(nom,prenom);
  if (tel == null) System.out.println("pas trouve");
                   else System.out.println(tel);
  nom = "labat";
  prenom = "jeanmarc";
  System.out.println("recherche du tlphone de "+prenom+" "+nom+"");
  tel = r.getTel(nom,prenom);
  if (tel == null) System.out.println("pas trouve");
                   else System.out.println(tel);
  nom = "labat";
  prenom = "jean-marc";
  System.out.println("recherche du tlphone de "+prenom+" "+nom+"");
  tel = r.getTel(nom,prenom);
  if (tel == null) System.out.println("pas trouve");
                   else System.out.println(tel);

  nom = "lecalvez";
  prenom = "franoise";
  System.out.println("recherche de l'adresse de "+prenom+" "+nom+"");
  String adr = r.getAdresse(nom,prenom);
  if (adr == null) System.out.println("pas trouve");
                   else System.out.println(adr);

  nom = "despres";
  prenom = "sylvie";
  System.out.println("recherche de l'adresse de "+prenom+" "+nom+"");
  adr = r.getAdresse(nom,prenom);
  if (adr == null) System.out.println("pas trouve");
                   else System.out.println(adr);

  System.out.println();
  nom = "labat";
  prenom = "jean-marc";
  System.out.println("correction des coordonnes de "+prenom+" "+nom+"");
  r.ajouterElement(nom,prenom, "705N", "545");
  System.out.println("nouveau repertoire :\n"+ r);

  nom = "forti";
  prenom = "domi";
  System.out.println("suppression de "+prenom+" "+nom+"");
  r.supprimerElement(nom,prenom);
  System.out.println("nouveau repertoire :\n"+ r);

  nom = "fortier";
  prenom = "domi";
  System.out.println("suppression de "+prenom+" "+nom+"");
  r.supprimerElement(nom,prenom);
  System.out.println("nouveau repertoire :\n"+ r);


  System.out.println("recherche de rpertoires");
  r = Repertoire3.getRepertoire("UFR4eme");
  System.out.println(r);
  r = Repertoire3.getRepertoire("UFR7eme");
  System.out.println(r);

  System.out.println("tous les rpertoires"+Repertoire3.tousLesRepertoiresToString());

  }
}

/*

Test3

rpertoire "UFR7eme"
nom : prnom : adresse : tl
====================
pastre : dominique : 705M : 562
despres : sylvie : 705O : 543
bouzy : bruno : 705E5 : 558
fortier : dominique : 705P : 541
parchemal : yannick : 705D4 : 523
labat : jean-marc : 705N : 544
fortier : domi : 705P : 540
=====================

recherche du tlphone de sylvie despres
543
recherche du tlphone de jeanmarc labat
pas trouve
recherche du tlphone de jean-marc labat
544
recherche de l'adresse de franoise lecalvez
pas trouve
recherche de l'adresse de sylvie despres
705O

correction des coordonnes de jean-marc labat
nouveau repertoire :

rpertoire "UFR7eme"
nom : prnom : adresse : tl
====================
pastre : dominique : 705M : 562
despres : sylvie : 705O : 543
bouzy : bruno : 705E5 : 558
fortier : dominique : 705P : 541
parchemal : yannick : 705D4 : 523
labat : jean-marc : 705N : 545
fortier : domi : 705P : 540
=====================

suppression de domi forti
nouveau repertoire :

rpertoire "UFR7eme"
nom : prnom : adresse : tl
====================
pastre : dominique : 705M : 562
despres : sylvie : 705O : 543
bouzy : bruno : 705E5 : 558
fortier : dominique : 705P : 541
parchemal : yannick : 705D4 : 523
labat : jean-marc : 705N : 545
fortier : domi : 705P : 540
=====================

suppression de domi fortier
nouveau repertoire :

rpertoire "UFR7eme"
nom : prnom : adresse : tl
====================
pastre : dominique : 705M : 562
despres : sylvie : 705O : 543
bouzy : bruno : 705E5 : 558
fortier : dominique : 705P : 541
parchemal : yannick : 705D4 : 523
labat : jean-marc : 705N : 545
=====================

recherche de rpertoires

rpertoire "UFR4eme"
nom : prnom : adresse : tl
====================
=====================


rpertoire "UFR7eme"
nom : prnom : adresse : tl
====================
pastre : dominique : 705M : 562
despres : sylvie : 705O : 543
bouzy : bruno : 705E5 : 558
fortier : dominique : 705P : 541
parchemal : yannick : 705D4 : 523
labat : jean-marc : 705N : 545
=====================

tous les rpertoires
liste de tous les rpertoires

rpertoire "UFR7eme"
nom : prnom : adresse : tl
====================
pastre : dominique : 705M : 562
despres : sylvie : 705O : 543
bouzy : bruno : 705E5 : 558
fortier : dominique : 705P : 541
parchemal : yannick : 705D4 : 523
labat : jean-marc : 705N : 545
=====================

rpertoire "UFR4eme"
nom : prnom : adresse : tl
====================
=====================

*/
