package comptesDerives;

public class CompteEnBanque extends Compte {
 private Banque banque;
 
 // constructeurs
 public CompteEnBanque(Banque banque, String nomTitulaire, double versementInitial, int moyenPaiement,
               double decouvertAutorise) {
   this(banque, nomTitulaire);
   this.crediter(versementInitial, moyenPaiement);
   setDecouvertAutorise(decouvertAutorise);
   }
 public CompteEnBanque(Banque banque, String nomTitulaire,
                       double versementInitial, int moyenPaiement) {
   this(banque, nomTitulaire, versementInitial, moyenPaiement,
                                            Compte.decouvertAutoriseParDefaut);
   }
 public CompteEnBanque(Banque banque, String nomTitulaire) {
   super(nomTitulaire);
    this.banque=banque;
   this.numero = banque.nouveauCompte(this);
  }
 public String RIB() {
   return "banque "+this.banque.getNom()+"\ncompte numro : "
        + this.banque.getCode()+"_"+this.numero 
        + "\ntitulaire : " + this.getTitulaire();}

}


