package matrices;

/** implmentation des matrices 3x3 */
public class Matrice33 extends MatriceCarree {

/** cre une matrice nulle 3x3 */
  public Matrice33() {super(3);}

/** cre une matrice 3x3 remplie par le tableau 'tab'
 * ventuellement tronqu ou complt par des 0
 */
  public Matrice33(int[][] tab) {super(3,tab);}

/** cre une matrice 3x3  partir d'une Matricecarree  ventuellement
 * tronque ou complte par des 0
 */
 public Matrice33(MatriceCarree mat) {super(3,mat); }

/** rend le dterminant de cette Matrice33 */
  public int determinant() {
  // int [][] t = this.tab;    // si attribut tab protected
  int [][] t = this.getTab();    // si attribut tab priv
   return t[0][0]*t[1][1]*t[2][2]
          +t[1][0]*t[2][1]*t[0][2]
          +t[2][0]*t[0][1]*t[1][2]
          -t[2][0]*t[1][1]*t[0][2]
          -t[1][0]*t[0][1]*t[2][2]
          -t[0][0]*t[2][1]*t[1][2];
    }
}
