package matrices;

/** implmentation des matrices   2 dimensions */
public class MatriceCarree extends Matrice{

/** cre une MatriceCarree nulle d'ordre 'n' */
  public MatriceCarree(int n) {
  super(n,n);
  }

/** cre une MatriceCarree d'ordre 'n' remplie par le
 * tableau 'tab' ventuellement tronqu ou complt par des 0
 */
   public MatriceCarree(int n, int [][] tab) {
    super(n,n,tab);
    }

/** cre une Matricecarree d'ordre 'n'  partir d'une Matrice 'mat'
 * ventuellement tronque ou complte par des 0
 */
   public MatriceCarree(int n,Matrice mat) {
     // super(n,n,mat.tab); // si attribut tab protected
     super(n,n,mat.getTab()); // si attribut tab priv
    }

/** cre une MatriceCarree remplie par le tableau 'tab' ventuellement
 * complt par des 0 dont la dimension
 * permet de conserver tous les lments de 'tab'
 */
   public MatriceCarree(int [][] tab) {
     // super(dimMax(tab),dimMax(tab), tab);
     // ou
     this(dimMax(tab), tab);
     }
  private static int dimMax(int[][] tab) {
    int dim = tab.length;
    for (int i=0; i<tab.length; i++)
      if (tab[i].length>dim) dim = tab[i].length;
      return dim;
    }


/** rend le carr de cette MatriceCarree */
  public  MatriceCarree carre() {
    // return  new MatriceCarree(this.n, this.produit(this)); // si n protected
    return  new MatriceCarree(this.getN(), this.produit(this)); // si n priv
    }

}
