package piles;
import java.util.Vector;
import java.util.Date;

public class Test {
  /** Teste les classes Pile et PileAvecCumul. */
  public static void main(String[] args) {
   Pile p = new Pile();System.out.println(p.vide());
   System.out.println("Pile");
   p.empiler("aaa");System.out.println(p);
   p.empiler("bbb");
   System.out.println(p);System.out.println(p.vide());
   p.empiler(new Integer(5));System.out.println(p);
   Vector v = new Vector();v.addElement("a");v.addElement("b");
   p.empiler(v);System.out.println(p);
   p.empiler(new Integer(50));System.out.println(p);
   p.empiler(new Double(6));System.out.println(p);
   p.empiler(new Date());System.out.println(p);
   p.empiler(new Double(7));System.out.println(p);
   p.empiler(new Double(6));System.out.println(p);
   p.depiler(); System.out.println(p);
   System.out.println(p.sommet());
   for (int i=0;i<9;i++) {p.depiler(); System.out.println(p);}

   System.out.println("\nPileAvecCumul");
   p = new PileAvecCumul();System.out.println(p.vide());
   p.empiler("aaa");System.out.println(p);
   p.empiler("bbb");
   System.out.println(p);System.out.println(p.vide());
   p.empiler(new Integer(5));System.out.println(p);
   p.empiler(new Integer(60));System.out.println(p);
   p.empiler(new StringBuffer("ccc"));System.out.println(p);
   p.empiler(new StringBuffer("ddd"));System.out.println(p);
   p.empiler(new Double(6));System.out.println(p);
   p.empiler(new Double(7));System.out.println(p);
   p.depiler(); System.out.println(p);
   System.out.println(p.sommet());
   p.depiler();  System.out.println(p);
   p.depiler();System.out.println(p);
   p.depiler();System.out.println(p);
   p.depiler();System.out.println(p);
  }
}

/*

true
Pile
[aaa]
[aaa, bbb]
false
[aaa, bbb, 5]
[aaa, bbb, 5, [a, b]]
[aaa, bbb, 5, [a, b], 50]
[aaa, bbb, 5, [a, b], 50, 6.0]
[aaa, bbb, 5, [a, b], 50, 6.0, Mon Mar 15 18:04:37 CET 2004]
[aaa, bbb, 5, [a, b], 50, 6.0, Mon Mar 15 18:04:37 CET 2004, 7.0]
[aaa, bbb, 5, [a, b], 50, 6.0, Mon Mar 15 18:04:37 CET 2004, 7.0, 6.0]
[aaa, bbb, 5, [a, b], 50, 6.0, Mon Mar 15 18:04:37 CET 2004, 7.0]
7.0
[aaa, bbb, 5, [a, b], 50, 6.0, Mon Mar 15 18:04:37 CET 2004]
[aaa, bbb, 5, [a, b], 50, 6.0]
[aaa, bbb, 5, [a, b], 50]
[aaa, bbb, 5, [a, b]]
[aaa, bbb, 5]
[aaa, bbb]
[aaa]
[]
pile vide
[]

PileAvecCumul
true
[aaa]
[aaabbb]
false
[aaabbb, 5]
[aaabbb, 65]
[aaabbb, 65, ccc]
[aaabbb, 65, cccddd]
[aaabbb, 65, cccddd, 6.0]
[aaabbb, 65, cccddd, 13.0]
[aaabbb, 65, cccddd]
cccddd
[aaabbb, 65]
[aaabbb]
[]
pile vide
[]

 */
