package repertoires;

import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;
                                    // avec une classe Element et une Hashtable
/** implmente des rpertoires constitus d'lments comprenant
 *  nom, prnom et numro de tlphone.
 *  Il ne peut y avoir deux lments avec les mmes nom et prnom.
 */
public class Repertoire4 {
    private String nomDuRepertoire;
    private Hashtable lesElements;
    private static Vector tousLesRepertoires = new Vector();

/** cree un nouveau repertoire avec le nom spcifi */
    public Repertoire4(String nomDuRepertoire){
	    this.nomDuRepertoire=nomDuRepertoire;
	    this.lesElements=new Hashtable();
            Repertoire4.tousLesRepertoires.addElement(this);
	    }

/** ajoute dans ce rpertoire un lment nom, prenom et tel spcifis
  * si il y a dj un lment de mmes nom et prnom, remplace cet lment */
    public void ajouterElement (String nom, String prenom, String adresse, String tel)
    { Element e = rechercheElement(nom,prenom);
      if (e==null) this.lesElements.put(nom+prenom,new Element(nom,prenom,adresse,tel));
	         else e.setTel(tel);
	}

/** recherche dans ce repertoire un lment de nom  et prnom spcifis
 *  et renvoie l'lement s'il est trouve ou null sinon
  */
    public Element rechercheElement(String nom,String prenom){
      return (Element)this.lesElements.get(nom+prenom);
      }

/** renvoie le numro de tlphone correspondant aux nom, prnom spcifis,
 * renvoie null s'il n'y a pas de tel lment */
    public String getTel(String nom, String prenom){
      Element e = rechercheElement(nom,prenom);
      if (e==null) return null; else return e.getTel();
    }

/** renvoie l'adresse correspondant aux nom, prnom spcifis,
 * renvoie null s'il n'y a pas de tel lment */
    public String getAdresse(String nom, String prenom){
      Element e = rechercheElement(nom,prenom);
      if (e==null) return null; else return e.getAdresse();
    }

/** supprime de ce rpertoire l'lment de nom, prnom spcifis
  * ne fait rien s'il n'y a pas de tel lment */
    public void supprimerElement (String nom,String prenom) {
      this.lesElements.remove(nom+prenom);
      }

/** renvoie une reprsentation sous forme de chane de caractres de
 * ce  rpertoire */
  public String toString() {
      // return "\n"+this.lesElements.toString()+"\n";
      // pour faire mieux il faut utiliser une Enumeration
    String res="\nrpertoire \""+ this.nomDuRepertoire + "\""
    +"\nnom : prnom : adresse : tl\n====================\n";
    for (Enumeration e = this.lesElements.keys();e.hasMoreElements();)
        res += this.lesElements.get(e.nextElement())+"\n";
    return res+"=====================\n";
  }


 /** renvoie le rpertoire dont le nom est spcifi,
 *  cre le rpertoire s'il n'existe pas */
 public static Repertoire4 getRepertoire(String nomDuRepertoire) {
   for (int i=0; i<Repertoire4.tousLesRepertoires.size();i++) {
      Repertoire4 r = ((Repertoire4)Repertoire4.tousLesRepertoires.elementAt(i));
      if (r.nomDuRepertoire.equals(nomDuRepertoire)) return(r);}
      return new Repertoire4(nomDuRepertoire);
      }

/** renvoie une reprsentation sous forme de chane de caractres de
 *  tous les rpertoires */
  public static String tousLesRepertoiresToString() {
    StringBuffer sb = new StringBuffer("\nliste de tous les rpertoires\n");
    for (int i=0;i<tousLesRepertoires.size();i++)
      sb = sb.append(tousLesRepertoires.elementAt(i));
      return sb.toString();
      }

}
