
package tris;

import java.util.Vector;
public class Ensemble {
  private TypeElement typeElement;
  private Vector elements;
  
  public Ensemble(TypeElement typeElement) {
     this.typeElement=typeElement;
     this.elements= new Vector();
     }

    public Ensemble(TypeElement typeElement, Vector v) {
      // this.typeElement=typeElement;
      // ou
      this(typeElement);
      this.elements=v;
      }

    public void ajouter(Object o) throws ElementException{
      if (this.typeElement.estUnElement(o))  elements.addElement(o);
       // else System.out.println(o+" n'est pas un lment de "
       //                     +typeElement.getClass().getName());
       else throw new ElementException(o, typeElement);
      }

    public Object getElement(int n, TriAbstrait c) {
      Vector elementsTries = c.trier(this.elements);
      return(elementsTries.elementAt(n-1));
      }

    /** cre un nouvel ensemble gal  cet ensemble tri */
    public Ensemble trier(TriAbstrait c) {
      return new Ensemble(this.typeElement, c.trier(this.elements));
      }

     /** trie cet ensemble */
     public void trier1(TriAbstrait c) {
       this.elements = c.trier(this.elements);
      }


    public String toString() { return this.elements.toString();}



    class ElementException extends Exception {
      public ElementException(Object o, TypeElement typeElement){
        //super(o+" n'est pas un lment autoris");
        super(o+" n'est pas un lment de "+ typeElement.getClass().getName());
        }
    }


  }
