package tris;
import java.util.Vector;
public class TestTris  {
public static void main(String[] Args) {

// 1) test TypeIntervalleEntier
  System.out.println("\n1) Test de la classe TypeIntervalleEntier\n");
  TypeElement intervalle = new TypeIntervalleEntier(1,8) ;
  int n=-5;
  if (intervalle.estUnElement(new Integer(n)))
    System.out.println(n+" appartient  l'intervalle [1,8]");
    else System.out.println(n+" n'appartient pas  l'intervalle [1,8]");
  n=5;
  if (intervalle.estUnElement(new Integer(n)))
    System.out.println(n+" appartient  l'intervalle [1,8]");
    else System.out.println(n+" n'appartient pas  l'intervalle [1,8]");
  n = 15;
  if (intervalle.estUnElement(new Integer(n)))
    System.out.println(n+" appartient  l'intervalle [1,8]");
    else System.out.println(n+" n'appartient pas  l'intervalle [1,8]");

// 2) test des classes implmentant la classe TriAbstrait
   System.out.println("\n2) Test des diffrents tris");
   Vector v =new Vector();
   v.addElement(new Integer(-5));
   v.addElement(new Integer(3));
   v.addElement(new Integer(6));
   v.addElement(new Integer(8));
   System.out.println("\nvecteur "+v
                     +"\nTriValeurAbsolue "+ new TriValeurAbsolue().trier(v)
                     +"\nTriPairImpair "+ new TriPairImpair().trier(v)
                     +"\nTriUsuel "+ new TriUsuel().trier(v)
                     +"\nTriInverse "+ new TriInverse().trier(v));

// 3) Test de la classe Ensemble
   System.out.println("\n3) Test de la classe Ensemble\n");

   intervalle = new TypeIntervalleEntier(-300,200) ;
   Ensemble e = new Ensemble(intervalle);
   /*
   try {
   e.ajouter(new Integer(3));
   e.ajouter(new Integer(-11));
   e.ajouter(new Integer(-34));
   e.ajouter(new Integer(144));
   e.ajouter(new Integer(-22));
   e.ajouter(new Integer(33));
   e.ajouter(new Integer(-78));
   e.ajouter(new Integer(-277));
   e.ajouter(new String("atyty"));
   e.ajouter(new Integer(300));
   } catch (Exception ex) {System.out.println(ex);}
   // sort du  bloc try aprs la premire exception (atyty)
   */

   try{e.ajouter(new Integer(3));}catch(Exception ex){System.out.println(ex);}
   try{e.ajouter(new Integer(-11));}catch(Exception ex){System.out.println(ex);}
   try{e.ajouter(new Integer(-34));}catch(Exception ex){System.out.println(ex);}
   try{e.ajouter(new Integer(144));}catch(Exception ex){System.out.println(ex);}
   try{e.ajouter(new Integer(-22));}catch(Exception ex){System.out.println(ex);}
   try{e.ajouter(new Integer(33));}catch(Exception ex){System.out.println(ex);}
   try{e.ajouter(new Integer(-78));}catch(Exception ex){System.out.println(ex);}
  try{e.ajouter(new Integer(-277));}catch(Exception ex){System.out.println(ex);}
try{e.ajouter(new String("atyty"));}catch(Exception ex){System.out.println(ex);}
   try{e.ajouter(new Integer(300));}catch(Exception ex){System.out.println(ex);}

   System.out.println("\nEnsemble e :       "+e+"\n");

   System.out.println("TriValeurAbsolue : "+ e.trier(new TriValeurAbsolue()));
   System.out.println("TriPairImpair    : "+ e.trier(new TriPairImpair()));
   System.out.println("TriUsuel         : "+ e.trier(new TriUsuel()));
   System.out.println("TriInverse       : "+ e.trier(new TriInverse()));

   System.out.println("\nle 4me lment pour les diffrents tris :"
              + "\nTriValeurAbsolue : "+e.getElement(4,new TriValeurAbsolue())
              + "\nTriPairImpair    : "+e.getElement(4,new TriPairImpair())
              + "\nTriUsuel         : "+e.getElement(4,new TriUsuel())
              + "\nTriInverse       : "+e.getElement(4,new TriInverse()));

   System.out.println("\navec trier1 qui crase : "+e);
   e.trier1(new TriValeurAbsolue()); System.out.println("nouveau : "+e);
   
// 4) Test des autres types
System.out.println("\n4) Test des autres types\n");

   System.out.println("TypeEntier");
   TypeEntier R = new TypeEntier();
   try { e = new Ensemble(R);
         e.ajouter(new Integer(8));
         e.ajouter(new Integer(-15));
         e.ajouter(new Integer(5));
        }catch(Exception ex){System.out.println(ex);}
   System.out.println(e+"\nTriValeurAbsolue : "+ e.trier(new TriInverse()));

   System.out.println("\nTypeMultiple");
   TypeMultiple M = new TypeMultiple(5);
   try { e = new Ensemble(M);}catch(Exception ex){System.out.println(ex);}
   try { e.ajouter(new Integer(8));}catch(Exception ex){System.out.println(ex);} try { e.ajouter(new Integer(-15));}catch(Exception ex){System.out.println(ex);}
   try { e.ajouter(new Integer(5));}catch(Exception ex){System.out.println(ex);}
   System.out.println(e+"\nTriValeurAbsolue : "+ e.trier(new TriInverse()));
  }
}

/*

1) Test de la classe TypeIntervalleEntier

-5 n'appartient pas  l'intervalle [1,8]
5 appartient  l'intervalle [1,8]
15 n'appartient pas  l'intervalle [1,8]

2) Test des diffrents tris

vecteur [-5, 3, 6, 8]
TriValeurAbsolue [3, -5, 6, 8]
TriPairImpair [6, 8, -5, 3]
TriUsuel [-5, 3, 6, 8]
TriInverse [8, 6, 3, -5]

3) Test de la classe Ensemble

tris.Ensemble$ElementException: atyty n'est pas un lment de tris.TypeIntervalleEntier
tris.Ensemble$ElementException: 300 n'est pas un lment de tris.TypeIntervalleEntier

Ensemble e :       [3, -11, -34, 144, -22, 33, -78, -277]

TriValeurAbsolue : [3, -11, -22, 33, -34, -78, 144, -277]
TriPairImpair    : [-34, 144, -22, -78, 3, 33, -11, -277]
TriUsuel         : [-277, -78, -34, -22, -11, 3, 33, 144]
TriInverse       : [144, 33, 3, -11, -22, -34, -78, -277]

le 4me lment pour les diffrents tris :
TriValeurAbsolue : 33
TriPairImpair    : -78
TriUsuel         : -22
TriInverse       : -11

avec trier1 qui crase : [3, -11, -34, 144, -22, 33, -78, -277]
nouveau : [3, -11, -22, 33, -34, -78, 144, -277]

4) Test des autres types

TypeEntier
[8, -15, 5]
TriValeurAbsolue : [8, 5, -15]

TypeMultiple
tris.Ensemble$ElementException: 8 n'est pas un lment de tris.TypeMultiple
[-15, 5]
TriValeurAbsolue : [5, -15]

*/
