
/** le programme Bonjour avec des donnes en arguments */
public class Bonjour2AvecArgs {

  /** ce programme affiche bonjour suivi des donnes */
  public static void main(String[] args) {
    String prenom = args[0];
    String nom = args[1];
    int annee = Integer.parseInt(args[2]);
    int age = 2003 - annee;
    double note1, note2;
    note1 = Double.parseDouble(args[3]);
    note2 = Double.parseDouble(args[4]);
    double moyenne = (note1 + note2)/2;
    System.out.println("bonjour "+prenom+" "+nom);
    System.out.println("vous avez (ou aurez cette anne) "+age+" ans");
    System.out.println("vos notes sont : "+note1+" "+note2); // note1 + note2 ?
    System.out.println("votre moyenne est : "+moyenne);
    }
}
/*

$ javac Bonjour2AvecArgs.java

$ java Bonjour2AvecArgs Paul Durand 1983 14.5 6

bonjour Paul Durand
tu as (ou auras cette anne) 20 ans
tes notes sont : 14.5 6.0
ta moyenne est : 10.25

mieux
=====
dans src

$ javac -d ../classes Bonjour2AvecArgs.java
$ java -classpath ../classes Bonjour2AvecArgs Paul Durand 1983 14.5 6
bonjour Paul Durand
vous avezs (ou aurez cette anne) 20 ans
vos notes sont : 14.5 6.0
votre moyenne est : 10.25

*/
