package rationnels;
                                                                     
/** classe de test pour la classe rationnel.Rationnel */
public class TestRationnel {
  public static void main(String[] args) {
    System.out.println("TestRationnel");
    Rationnel r1= new Rationnel(15,-4);
    System.out.println("r1 = "+r1);
    Rationnel r2= new Rationnel(-7,-6);
    System.out.println("r2 = "+r2);
    System.out.println("\nmthodes statiques (ou mthode de classe)");
    System.out.println("================");
    System.out.println(r1+" + "+r2+" = "+Rationnel.somme(r1,r2));
    System.out.println(r1+" * "+r2+" = "+Rationnel.produit(r1,r2));
    System.out.println("1/("+r1+")= "+Rationnel.inverse(r1));
    System.out.print("si r="+r1+"    "+"(1/r)*r= "
                     +Rationnel.produit(Rationnel.inverse(r1),r1));
    System.out.println("  et  r*(1/r)= "
                       +Rationnel.produit(r1,Rationnel.inverse(r1)));
    System.out.println("\nmthodes d'instance");
    System.out.println("================");
    System.out.println("ajouter "+r2+"  "+r1+" donne "+r1.somme(r2));
    System.out.println("multiplier "+r1+" par "+r2+" donne "+r1.produit(r2));
    System.out.println("l'inverse de "+r1+" est "+r1.inverse());
    System.out.println("multiplier l'inverse de "+r1+" par lui-mme donne "
                       +Rationnel.produit(Rationnel.inverse(r1),r1));
    System.out.println("multiplier "+r1+" par son inverse donne "
                       +Rationnel.produit(r1,Rationnel.inverse(r1)));
  }
}

/*

TestRationnel
r1 = -15/4
r2 = 7/6

mthodes statiques (ou mthode de classe)
================
-15/4 + 7/6 = -31/12
-15/4 * 7/6 = -35/8
1/(-15/4)= -4/15
si r=-15/4    (1/r)*r= 1  et  r*(1/r)= 1

mthodes d'instance
================
ajouter 7/6  -15/4 donne -31/12
multiplier -15/4 par 7/6 donne -35/8
l'inverse de -15/4 est -4/15
multiplier l'inverse de -15/4 par lui-mme donne 1
multiplier -15/4 par son inverse donne 1

*/
