package comptes;
import bibliDP.es.Clavier;

public class TestCompteAvecSauvegarde {
  public static void main(String[] args) {
    System.out.println("Test CompteAvecSauvegarde "+new java.util.Date());
    String nom = Clavier.readString("nom du titulaire : ");
    CompteAvecSauvegarde c = CompteAvecSauvegarde.charger(nom);
    System.out.println(c);

    c.crediter(2000, CompteAvecSauvegarde.CB);
    c.debiter(1000, CompteAvecSauvegarde.CHEQUE);

    System.out.println(c.getReleve());

    c.sauvegarder();

    }
}

/*

$ java -classpath ../../classes/:../../../../bibliotheque/classes/ comptes.TestCompteAvecSauvegarde

Test CompteAvecSauvegarde Tue Jan 13 17:36:22 CET 2004
nom du titulaire : Durand
nbComptes = 4
fichier inexistant

==================
compte numro : 5
titulaire : Durand
solde : 0,00
dcouvert autoris : 100,00
==================


==================
compte numro : 5
titulaire : Durand
solde : 1000,00
dcouvert autoris : 100,00
==================
relev : 
Jan 13 17:36 2004 CB       crdit +2000,00
Jan 13 17:36 2004 chque   dbit  -1000,00

compte sauvegard

$ java -classpath ../../classes/:../../../../bibliotheque/classes/ comptes.TestCompteAvecSauvegarde
Test CompteAvecSauvegarde Tue Jan 13 17:36:43 CET 2004
nom du titulaire : Durand
nbComptes = 5
chargement du compte de Durand

==================
compte numro : 5
titulaire : Durand
solde : 1000,00
dcouvert autoris : 100,00
==================


==================
compte numro : 5
titulaire : Durand
solde : 2000,00
dcouvert autoris : 100,00
==================
relev : 
Jan 13 17:36 2004 CB       crdit +2000,00
Jan 13 17:36 2004 chque   dbit  -1000,00
Jan 13 17:36 2004 CB       crdit +2000,00
Jan 13 17:36 2004 chque   dbit  -1000,00

compte sauvegard

$ java -classpath ../../../../bibliotheque/classes/:../../classes/ comptes.TestCompteAvecSauvegarde
TestCompteAvecSauvegarde Tue Mar 02 13:01:47 CET 2004
nom du titulaire : Durand
nbComptes = 9
chargement du compte de Durand

==================
compte numro : 5
titulaire : Durand
solde : 2000,00
dcouvert autoris : 100,00
==================


==================
compte numro : 5
titulaire : Durand
solde : 3000,00
dcouvert autoris : 100,00
==================
relev : 
Jan 13 17:36 2004 CB       crdit +2000,00
Jan 13 17:36 2004 chque   dbit  -1000,00
Jan 13 17:36 2004 CB       crdit +2000,00
Jan 13 17:36 2004 chque   dbit  -1000,00
Mar 02 13:01 2004 CB       crdit +2000,00
Mar 02 13:01 2004 chque   dbit  -1000,00

compte sauvegard

*/

