package calculette;
import java.awt.Frame;
// import java.awt.Window; // pour tre utilisable par Dialog
import java.awt.event.WindowEvent;

// 1re version implementant WindowListener
/*
import java.awt.event.WindowListener;
public class GestionnaireFermeture implements WindowListener {
  private Frame f;
  // private Window f; // pour Dialog
  public GestionnaireFermeture(Frame f) {this.f = f;}
  // public GestionnaireFermeture(Window f) {this.f = f;} // pour Dialog
  public void windowClosing(WindowEvent e) {f.setVisible(false);}
  public void windowActivated(WindowEvent e) {}
  public void windowDeactivated(WindowEvent e) {}
  public void windowClosed(WindowEvent e) {}
  public void windowIconified(WindowEvent e) {}
  public void windowDeiconified(WindowEvent e) {}
  public void windowOpened(WindowEvent e) {}

// fin 1re version
*/

// 2me version sous-classe de WindowAdapter

import  java.awt.event.WindowAdapter;

public class GestionnaireFermeture extends WindowAdapter {
  private Frame f;
  // private Window f;
  public GestionnaireFermeture(Frame f) {this.f = f;}
  // public GestionnaireFermeture(Window f) {this.f = f;} // pour Dialog
  public void windowClosing(WindowEvent e) {f.setVisible(false);}

// fin 2me version

}
