
package fenetres;
import java.awt.Frame;
import java.awt.Button;
import java.awt.Label;
import java.awt.TextField;
import java.awt.TextArea;
import java.awt.Panel;
import java.awt.FlowLayout; 
import java.awt.GridLayout; 
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.DecimalFormat;

/** 2me version du programme Bonjour.
 *  Agencement par panneaux.
 *  Exception.  */
public class Fenetre2 extends Frame implements ActionListener {
  // identite
  private TextField tfNom =new TextField(10); 
  public TextField tfPrenom =new TextField(10);
  // naissance
  private TextField tfAnnee =new TextField(10);
  // notes
  private double note1, note2;
  private TextField tfNote1, tfNote2;
  // boutons
  private Button bValider = new Button("valider");
  private Button bQuitter = new Button("quitter");
  // rponses
  private TextField tfAge = new TextField(10);
  private TextField tfMoyenne = new TextField(10);

  public Fenetre2(String titre) {
    super(titre);
    this.setLayout(new GridLayout(6,1)); // 6 composants en colonne
    // identite (1er Panel)
    Panel identite = new Panel(new FlowLayout()); this.add(identite);
    identite.add(new Label("nom"));identite.add(tfNom);
    identite.add(new Label("prenom"));identite.add(tfPrenom);
    // naissance (2me Panel)
    Panel naissance= new Panel(new FlowLayout()); this.add(naissance);
    naissance.add(new Label("anne de naissance")); naissance.add(tfAnnee);
    // notes (3me Panel)
    Panel pNotes = new Panel(new FlowLayout()); this.add(pNotes);
    pNotes.add(new Label("notes"));
    tfNote1=new TextField(5); tfNote2=new TextField(5);
    pNotes.add(tfNote1);pNotes.add(tfNote2);
    // boutons (4me Panel)
    Panel boutons = new Panel(new FlowLayout()); this.add(boutons);
    boutons.add(bValider); boutons.add(bQuitter);
    // age et moyenne (4me  et 5me Panel)
    Panel pAge = new Panel();this.add(pAge);
    pAge.add(new Label("age"));pAge.add(tfAge);
    Panel pMoyenne = new Panel();this.add(pMoyenne);
    pMoyenne.add(new Label("moyenne"));pMoyenne.add(tfMoyenne);

    bValider.addActionListener(this); // Cette fentre doit couter
    bQuitter.addActionListener(this); // les deux boutons
    this.addWindowListener(new GestionnaireExit()); // le gestionnaire doit 
                                                    // couter cette fentre
    }

  public void actionPerformed(ActionEvent e) {
    if (e.getSource()== bQuitter) System.exit(0);
    String message= "";
    DecimalFormat df = new DecimalFormat("0.##");
    // identite
    String nom = tfNom.getText();
    String prenom = tfPrenom.getText();
    message += "bonjour "+prenom+" "+nom;
    if (nom.equals("")) System.out.println("nom absent");
    // naissance
    try {
    String annee = tfAnnee.getText();
    int age = 2004 - Integer.parseInt(annee);
    tfAge.setText(""+age);
         } catch(NumberFormatException ex){
            System.out.println("anne de naissance absente ou incorrecte");}
    // notes
    try {
    note1=Double.parseDouble(tfNote1.getText());
    note2=Double.parseDouble(tfNote2.getText());
    tfMoyenne.setText(""+df.format((note1+note2)/2));
         } catch(NumberFormatException ex){
           System.out.println("note absente ou incorrecte");}
    }

}

class TestFen2 {
  public static void main(String[] args) {
    Fenetre2 f = new Fenetre2("2");
    f.pack();
    f.show();
    }
}
