package dominos;

public class Domino {
  private Case[] lesDeuxCases;
   /** Si 'pos' est gale  'g', cre un domino horizontal compos de la case 'c1'
    *  et de la case qui est  droite de 'c1.
    *  Si 'pos' est gale  'h', cre un domino vertical compos de la case 'c1'
    *  et de la case qui est sous 'c1'.
    */
  public Domino(Case c1, char pos) {
     this.lesDeuxCases = new Case[2];
     this.lesDeuxCases[0]= c1;
     if (pos =='g') this.lesDeuxCases[1]=c1.droite();
     else if (pos =='h')this.lesDeuxCases[1]=c1.bas();
    }

  /** renvoie les deux cases de ce domino sous forme d'un tableau de deux cases*/
  public Case[] getCases() { return this.lesDeuxCases;}

  /** renvoie une reprsentation sous forme de chaine de ce domino,
   *  constitue des coordonnes de ses deux cases */
  public String toString() {
        return lesDeuxCases[0].coord() + " "+lesDeuxCases[1].coord();
        }
}




