package equations;

public class Test {
  public static void main(String[] args) {
    // System.out.println("Test");
    Reel r = new Reel(6);
    Complexe c1 =new Complexe(4,8);
    System.out.println(r+" "+c1);
    System.out.println(r.somme(r)+ " "+r.somme(c1)+" "+
                       c1.somme(r)+" "+c1.somme(c1));
    System.out.println(r.produit(r)+ " "+r.produit(c1)+" "+
                       c1.produit(r)+" "+c1.produit(c1));
    System.out.println(r.carre()+ " "+c1.carre());
    System.out.println(r.racineCarree());


   Nombre b = new Reel(3);
   Nombre c = new Reel(2);
   Equation e = new Equation(b,c);
   System.out.println("\nquation relle "+e+
                      "\nracines "+e.racine1()+ " et "+e.racine2());
   b = new Reel(-2);
   c = new Reel(5);
   e = new Equation(b,c);
   System.out.println("\nquation relle "+e+
                      "\nracines "+e.racine1()+ " et "+e.racine2());
   b = new Complexe(3,0);
   c = new Complexe(2,0);
   e = new Equation(b,c);
   System.out.println("\nquation relle en complexe "+e+
                      "\nracines "+e.racine1()+ " et "+e.racine2());
   b =new Complexe(-2,0);
   c = new Complexe(5,0);
   e = new Equation(b,c);
   System.out.println("\nquation relle en complexe "+e+
                      "\nracines "+e.racine1()+ " et "+e.racine2());
   b = new Complexe(4,3);
   c = new Complexe(1,5);
   e = new Equation(b,c);
   System.out.println("\nquation complexe "+e);
   Nombre r1 = e.racine1();
   Nombre r2 = e.racine2();
   System.out.println("racines"+r1+ " et "+r2);
   System.out.println("verif "+(r1.carre().somme(b.produit(r1)).somme(c)));
   System.out.println("verif "+(r2.carre().somme(b.produit(r2)).somme(c)));
   b =new Complexe(1,2);
   c = new Complexe(3,4);
   e = new Equation(b,c);
   System.out.println("\nquation complexe "+e);
   r1 = e.racine1();
   r2 = e.racine2();
   System.out.println("racines "+r1+ " et "+r2);
   System.out.println("verif "+(r1.carre().somme(b.produit(r1)).somme(c)));
   System.out.println("verif "+(r2.carre().somme(b.produit(r2)).somme(c)));

  }
}

/*

6.0 (4.0 + i 8.0)
12.0 (10.0 + i 8.0) (10.0 + i 8.0) (8.0 + i 16.0)
36.0 (24.0 + i 48.0) (24.0 + i 48.0) (-48.0 + i 64.0)
36.0 (-48.0 + i 64.0)
2.449489742783178

quation relle x^2 + 3.0x + 2.0
racines -1.0 et -2.0

quation relle x^2 + -2.0x + 5.0
racines (1.0 + i 2.0) et (1.0 - i 2.0)

quation relle en complexe x^2 + 3.0x + 2.0
racines -1.0 et -2.0

quation relle en complexe x^2 + -2.0x + 5.0
racines (1.0 + i 2.0) et (1.0 - i 2.0)

quation complexe x^2 + (4.0 + i 3.0)x + (1.0 + i 5.0)
racines(-1.0 - i 1.0) et (-3.0 - i 2.0)
verif 0
verif 0

quation complexe x^2 + (1.0 + i 2.0)x + (3.0 + i 4.0)
racines (0.2253768600095527 - i 3.0678906134119663) et (-1.2253768600095527 + i 1.0678906134119663)
verif 0
verif 0

*/
