package iv;

public class TestCinema {
  public static void main(String[] args) {
    Cinema cine = new Cinema("Les Saints Pres",4);
    int[] nbPlaces={40,45,20,30};
    for (int i=0;i<4;i++) cine.getLesSalles()[i]=new Salle(i,nbPlaces[i]);
    Film film0 = new Film("Alice au pays des merveilles", 7.50);
    cine.joue(film0, cine.getLesSalles()[0]);
    Film film1 = new Film("Derzou Ouzala", 8);
    cine.joue(film1, cine.getLesSalles()[1]);
    Film film2 = new Film("Le seigneur des anneaux", 10);
    cine.joue(film2, cine.getLesSalles()[3]);
    System.out.println(cine);
    cine.entrer(new Cinephile("Jean","Alice au pays des merveilles",100));
    // question 2
    cine.entrer(new Cinephile("Mireille","Le seigneur des anneaux",200));
    // question 3
    // cine.entrer(new CinephileAccompagne("Mireille","Le seigneur des anneaux",
    //                                                                  200,5));
    System.out.println(cine.getQueue());
    cine.passer();
    cine.entrer(new Cinephile("Michel","Alice au pays des merveilles",150));
    cine.entrer(new Cinephile("Suzanne","Derzou Ouzala",120));
    System.out.println(cine.getQueue());
    cine.passer();
    cine.entrer(new Cinephile("Annie","Le seigneur des anneaux",100));
    cine.passer();
    System.out.println(cine.getQueue());
    cine.passer();
    System.out.println(cine.getQueue());
    System.out.println(cine);
    System.out.println("tousLesCinephiles : "+Cinephile.tousLesCinephiles);
    }
}

/*

question 2
=====
cinma : Les Saints Pres, 4 salles, 3 films projets 
salle 0 : Alice au pays des merveilles   prix : 7.5 Euros, 40 places libres
salle 1 : Derzou Ouzala   prix : 8.0 Euros, 45 places libres
salle 2 : null, 20 places libres
salle 3 : Le seigneur des anneaux   prix : 10.0 Euros, 30 places libres
file d'attente : []
caisse= 100.0
=====
file d'attente : [Jean-100.0 Euros, Mireille-200.0 Euros]
file d'attente : [Mireille-200.0 Euros, Michel-150.0 Euros, Suzanne-120.0 Euros]file d'attente : [Suzanne-120.0 Euros, Annie-100.0 Euros]
file d'attente : [Annie-100.0 Euros]
=====
cinma : Les Saints Pres, 4 salles, 3 films projets 
salle 0 : Alice au pays des merveilles   prix : 7.5 Euros, 38 places libres
salle 1 : Derzou Ouzala   prix : 8.0 Euros, 44 places libres
salle 2 : null, 20 places libres
salle 3 : Le seigneur des anneaux   prix : 10.0 Euros, 29 places libres
file d'attente : [Annie-100.0 Euros]
caisse= 133.0
=====
tousLesCinephiles : [Jean-92.5 Euros, Mireille-190.0 Euros, Michel-142.5 Euros, Suzanne-112.0 Euros, Annie-100.0 Euros]

question 3
=====
cinma : Les Saints Pres, 4 salles, 3 films projets 
salle 0 : Alice au pays des merveilles   prix : 7.5 Euros, 40 places libres
salle 1 : Derzou Ouzala   prix : 8.0 Euros, 45 places libres
salle 2 : null, 20 places libres
salle 3 : Le seigneur des anneaux   prix : 10.0 Euros, 30 places libres
file d'attente : []
caisse= 100.0
=====
file d'attente : [Jean-100.0 Euros, Mireille-200.0 Euros]
file d'attente : [Mireille-200.0 Euros, Michel-150.0 Euros, Suzanne-120.0 Euros]file d'attente : [Suzanne-120.0 Euros, Annie-100.0 Euros]
file d'attente : [Annie-100.0 Euros]
=====
cinma : Les Saints Pres, 4 salles, 3 films projets 
salle 0 : Alice au pays des merveilles   prix : 7.5 Euros, 38 places libres
salle 1 : Derzou Ouzala   prix : 8.0 Euros, 44 places libres
salle 2 : null, 20 places libres
salle 3 : Le seigneur des anneaux   prix : 10.0 Euros, 24 places libres
file d'attente : [Annie-100.0 Euros]
caisse= 183.0
=====
tousLesCinephiles : [Jean-92.5 Euros, Mireille-140.0 Euros, Michel-142.5 Euros, Suzanne-112.0 Euros, Annie-100.0 Euros]

*/
