package ab;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.Button;
import java.awt.TextField;
import java.awt.GridLayout;
import java.awt.BorderLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class DessinArbre extends Frame implements ActionListener {
  private ArbreBinaire a;
  private Button bQuitter = new Button("quitter");
  private Button bFermer = new Button("fermer");

  public DessinArbre(ArbreBinaire a) {
    super("arbre binaire");
    Panel p = new Panel();
    this.add("North",this.dessin(a));
    this.add("South",p);
    p.add(bQuitter);p.add(bFermer);
    bQuitter.addActionListener(this);
    bFermer.addActionListener(this);
    this.addWindowListener(new GestionnaireFermeture(this));
    }

  /** Construit et renvoie le Panel où est dessiné l'arbre spécifié. */
  private Panel dessin(ArbreBinaire a) {
    Panel pArbre = new Panel();
    pArbre.setLayout(new BorderLayout());
    TextField rac = new TextField(a.racine.toString());
    pArbre.add("North",rac);
    Panel pSousArbres = new Panel();
    pArbre.add("Center",pSousArbres);
    pSousArbres.setLayout(new GridLayout(1,2));
    if (a.gauche != null) pSousArbres.add(this.dessin(a.gauche));
    if (a.droit != null)  pSousArbres.add(this.dessin(a.droit));
    return pArbre;
    }

  /** Arrête le programme (resp, ferme la fenêtre) si on clique sur le bouton
   *  "quitter" (resp, "fermer"). */
  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == bQuitter) System.exit(0);
    else this.setVisible(false);
    }
}

