package nombresecret;
import bibliDP.es.Clavier;

/** Jeu du nombre secret : trouver un nombre choisi par l'ordinateur ou par
 *  le joueur */
public class NombreSecret {
  /** L'ordinateur choisit, le joueur cherche */
  public static void ordiChoisit() {
    int secret = (int) Math.ceil(100*Math.random());
    System.out.println(secret);
    int nbCoups = 0;
    int n;
    do { n = Clavier.readInt("Donnez un nombre entre 1 et 100 : ");
         nbCoups++;
         if (n > secret) System.out.println("trop grand");
         else if (n < secret) System.out.println("trop petit");
         }
    while (n != secret);
    System.out.println("\nBravo. Vous avez trouv en "+nbCoups+" coup(s)");
    int max = nbCoupsMax(100);
    if (nbCoups > max)
           System.out.println("\nMais vous pouviez trouver en "+max+" coups !");
    }
  /** Renvoie le nombre de coups maximal ncessaire pour trouver le nombre.
   * @param n le nombre  chercher */
  private static int nbCoupsMax(int n) {
    if (n>1) return nbCoupsMax(n/2)+1; else return 1;
    }
  /** Le joueur choisit, l'ordinateur cherche */
  public static void ordiJoue() {
    System.out.println("Choisissez un nombre entier entre 1 et 100"
                    +"\nJe vais le chercher");
    int min=1, max=100;
    int nbCoups = 0;
    int n;
    char rep;
    do { n = (min+max)/2;
         nbCoups++;
         System.out.println("Je propose "+n);
         System.out.println("tapez + si c'est trop petit"
                         +"\n      - si c'est trop grand"
                         +"\n      = si c'est bon");
         rep=Clavier.readChar();
         switch (rep) {
           case '+' : min=n+1; break;
           case '-' : max = n-1;
           }
         }
      while (rep != '=' && min<= max);
      if (rep == '=') System.out.println("J'ai gagn en "+nbCoups+" coup(s)");
      else System.out.println("Vous vous tes tromp ou vous trichez");
      }

  /** Dbut du jeu, choix du joueur */
  public static void main(String[] args) {
    char rep = Clavier.readChar(
                      "Qui choisit le nombre (o/rdinateur ou j/oueur) ? ");
    switch(rep) {
      case 'o' : ordiChoisit() ;break;
      case 'j' : ordiJoue() ;
      }
  }
}
