package complexe;

public class TestComplexe {
  public static void main(String[] args) {
  System.out.println("TestComplexe");
  Complexe c1= new Complexe(5,8);
  System.out.println("c1 = "+c1);
  Complexe c2= new Complexe(9,11);
  System.out.println("c2 = "+c2);
  System.out.println("rels purs : \n"+new Complexe(3,0)
                                 +"\n"+new Complexe(-3,0));
  System.out.println("imaginaires purs : \n"+new Complexe(0,3)
                                       +"\n"+new Complexe(0,-3));
  System.out.println("zro : "+new Complexe(0,0));
  
  System.out.println("\nmthodes d'instance");
  System.out.println("ajouter c2  c1 : c1+c2= "+c1.somme(c2));
  System.out.println("multiplier c1 par c2 : c1*c2="+Complexe.produit(c1,c2));
  System.out.println("1/c1= "+c1.inverse());
  System.out.println("conjugue de c1= "+c1.conjugue());
  System.out.println("norme de c1= "+c1.norme());
  System.out.println("(1/c1)*c1= "+c1.inverse().produit(c1));
  System.out.println("c1*(1/c1)= "+c1.produit(c1.inverse()));

  System.out.println("\nmthodes statiques");
  System.out.println("c1+c2= "+Complexe.somme(c1,c2));
  System.out.println("c1*c2= "+Complexe.produit(c1,c2));
  System.out.println("1/c1= "+Complexe.inverse(c1));
  System.out.println("(1/c1)*c1= "+Complexe.produit(Complexe.inverse(c1),c1));
  System.out.println("c1*(1/c1)= "+Complexe.produit(c1,Complexe.inverse(c1)));

  }
}

/*
TestComplexe
c1 = 5.0 + i 8.0
c2 = 9.0 + i 11.0
rels purs : 
3.0
-3.0
imaginaires purs : 
i 3.0
 - i 3.0
zro : 0

mthodes statiques
c1+c2= 14.0 + i 19.0
c1*c2= -43.0 + i 127.0
1/c1= 0.056179775280898875 - i 0.0898876404494382
(1/c1)*c1= 1.0
c1*(1/c1)= 1.0

mthodes d'instance
ajouter c2  c1 : c1+c2= 14.0 + i 19.0
multiplier c1 par c2 : c1*c2=-43.0 + i 127.0
1/c1= 0.056179775280898875 - i 0.0898876404494382
(1/c1)*c1= 1.0
c1*(1/c1)= 1.0




TestComplexe
c1 = 5.0 + i 8.0
c2 = 9.0 + i 11.0
rels purs : 
3.0
-3.0
imaginaires purs : 
i 3.0
 - i 3.0
zro : 0

mthodes d'instance
ajouter c2  c1 : c1+c2= 14.0 + i 19.0
multiplier c1 par c2 : c1*c2=-43.0 + i 127.0
1/c1= 0.056179775280898875 - i 0.0898876404494382
conjugue de c1= 5.0 - i 8.0
norme de c1= 9.433981132056603
(1/c1)*c1= 1.0
c1*(1/c1)= 1.0

mthodes statiques
c1+c2= 14.0 + i 19.0
c1*c2= -43.0 + i 127.0
1/c1= 0.056179775280898875 - i 0.0898876404494382
(1/c1)*c1= 1.0
c1*(1/c1)= 1.0

*/
