package etablissement;

import java.text.DecimalFormat;
import java.util.Vector;

/** groupe d'lves */
public class Groupe{

	private String nom;
	private Vector lesEleves;

/** Creation d'un groupe connaissant son 'nom' */
  public Groupe(String nom){
    this.nom=nom; this.lesEleves = new Vector();
	}

/** ajout d'un lve 'e'  ce groupe */
  public void ajouterEleve(Eleve e){
    this.lesEleves.addElement(e);
	}

/** renvoie la moyenne de la moyenne des lves de ce groupe */
  public double getMoyenne(){
    double somme=0;
    for (int i=0;i<this.lesEleves.size();i++){
      somme+=((Eleve) this.lesEleves.elementAt(i)).getMoyenne();}
      return(somme/this.lesEleves.size());
	}

 /** renvoie les rsultats de ce groupe sous forme de String
  * (nom de ce groupe et rsultats des lves de ce groupe */
  public String toString() {
    DecimalFormat df = new DecimalFormat("0.00"); // 2 dcimales
    String chaine = new String("\n\n   Groupe "+this.nom);
    for (int i=0;i< this.lesEleves.size();i++){
    chaine +=  ((Eleve) this.lesEleves.elementAt(i)).toString();}
    chaine = chaine+"\n   Moyenne du groupe : "
    // +getMoyenne();
    +(df.format(getMoyenne()));
    return(chaine);
        }
}

