package repertoires;

import java.util.Vector;
                                                     // avec une classe Element
/** implmente des rpertoires constitus d'lments comprenant
 *  nom, prnom et numro de tlphone.
 *  Il ne peut y avoir deux lments avec les mmes nom et prnom.
 */
public class Repertoire3 {
    private String nomDuRepertoire;
    private Vector lesElements;
    private static Vector tousLesRepertoires = new Vector();

/** cree un nouveau repertoire avec le nom spcifi */
    public Repertoire3(String nomDuRepertoire){
	    this.nomDuRepertoire=nomDuRepertoire;
	    this.lesElements=new Vector();
            Repertoire3.tousLesRepertoires.addElement(this);
	    }

/** ajoute dans ce rpertoire un lment nom, prenom et tel spcifis
  * si il y a dj un lment de mmes nom et prnom, remplace cet lment */
    public void ajouterElement (String nom, String prenom, String adresse, 
                                                                   String tel)
    { Element e = this.rechercheElement(nom,prenom);
      if (e==null) 
             this.lesElements.addElement(new Element(nom,prenom,adresse, tel));
	         else {e.setTel(tel);e.setAdresse(adresse);}
	}

/** recherche dans ce repertoire un lment de nom  et prnom spcifis
 *  et renvoie l'lement s'il est trouve ou null sinon
  */
    public Element rechercheElement(String nom,String prenom){
      Element res=null;
      for (int i=0;i<lesElements.size()&&(res==null);i++){
          Element e = (Element) this.lesElements.elementAt(i);
          if (e.getNom().equals(nom)&&e.getPrenom().equals(prenom))
	  res=e;
          }
      return res;
      }

/** renvoie le numro de tlphone correspondant aux nom, prnom spcifis,
 * renvoie null s'il n'y a pas de tel lment */
    public String getTel(String nom, String prenom){
      Element e = rechercheElement(nom,prenom);
      if (e==null) return null; else return e.getTel();
    }

/** renvoie l'adresse correspondant aux nom, prnom spcifis,
 * renvoie null s'il n'y a pas de tel lment */
    public String getAdresse(String nom, String prenom){
      Element e = rechercheElement(nom,prenom);
      if (e==null) return null; else return e.getAdresse();
    }

/** supprime de ce rpertoire l'lment de nom, prnom spcifis
  * ne fait rien s'il n'y a pas de tel lment */
    public void supprimerElement (String nom,String prenom) {
      Element e = rechercheElement(nom,prenom);
      if (e!=null) this.lesElements.removeElement(e);
      }

/** renvoie une reprsentation sous forme de chane de caractres de
 * ce  rpertoire */
  public String toString() {
    String res="\nrpertoire \""+ this.nomDuRepertoire + "\""
    +"\nnom : prnom : adresse : tl\n====================\n";
      for (int i=0;i<lesElements.size();i++)
      res += this.lesElements.elementAt(i).toString()+"\n";
      return res+"=====================\n";
      }

 /** renvoie le rpertoire dont le nom est spcifi,
 *  cre le rpertoire s'il n'existe pas */
 public static Repertoire3 getRepertoire(String nomDuRepertoire) {
   for (int i=0; i<Repertoire3.tousLesRepertoires.size();i++) {
      Repertoire3 r = ((Repertoire3)Repertoire3.tousLesRepertoires.elementAt(i));
      if (r.nomDuRepertoire.equals(nomDuRepertoire)) return(r);}
      return new Repertoire3(nomDuRepertoire);
      }

/** renvoie une reprsentation sous forme de chane de caractres de
 *  tous les rpertoires */
  public static String tousLesRepertoiresToString() {
    StringBuffer sb = new StringBuffer("\nliste de tous les rpertoires\n");
    for (int i=0;i<tousLesRepertoires.size();i++)
      sb = sb.append(tousLesRepertoires.elementAt(i));
      return sb.toString();
      }

}

