package comptesDerives;

public class TestCompteEnBanque {
  public static void main(String[] args) {
    System.out.println("comptesDerives.TestCompteEnBanque "+new java.util.Date());
    Banque b1 = new Banque("bleue","3456");
    Banque b2 = new Banque("verte","3004");

    System.out.println("\nDcouvert autoris par dfaut "
     +CompteEnBanque.df.format(CompteEnBanque.getDecouvertAutoriseParDefaut()));
    CompteEnBanque c1 = 
          new CompteEnBanque(b1,"Dupond", 200, CompteEnBanque.ESPECES);
    CompteEnBanque c2 = 
          new CompteEnBanque(b2,"Durand", 100, CompteEnBanque.CHEQUE, 500);
    System.out.println(c1+""+c2);

    c1.crediter(100.15, CompteEnBanque.CHEQUE);
    System.out.println("solde de "+c1.getTitulaire()+" : "+c1.getSolde()+"\n");
    c1.crediter(-300, CompteEnBanque.CHEQUE);
    System.out.println("solde de "+c1.getTitulaire()+" : "+c1.getSolde()+"\n");
    c1.crediter(300, CompteEnBanque.CHEQUE);
    System.out.println("solde de "+c1.getTitulaire()+" : "+c1.getSolde()+"\n");
    c1.debiter(1500, CompteEnBanque.CB);
    System.out.println("solde de "+c1.getTitulaire()+" : "+c1.getSolde()+"\n");
    c1.debiter(130, CompteEnBanque.CB);
    System.out.println("solde de "+c1.getTitulaire()+" : "+c1.getSolde()+"\n");
    c1.virer(200.50,c2);
    System.out.println("solde de "+c1.getTitulaire()+" : "+c1.getSolde()+"\n");
    c2.virer(500,c1);
    System.out.println("solde de "+c2.getTitulaire()+" : "+c2.getSolde()+"\n");
    System.out.println(c1.getReleve()+"\n"+c2.getReleve());


    c1.debiter(1000, CompteEnBanque.ESPECES);
    System.out.println("Modification du dcouvert autoris");
    c1.setDecouvertAutorise(300);
    c1.debiter(1000, CompteEnBanque.ESPECES);
    System.out.println(c1);

    System.out.println("Dcouvert autoris par dfaut "
                               +CompteEnBanque.getDecouvertAutoriseParDefaut());
    System.out.println("Modification du dcouvert autoris par dfaut");
    CompteEnBanque.setDecouvertAutoriseParDefaut(600);
    System.out.println("Dcouvert autoris par dfaut "
                               +CompteEnBanque.getDecouvertAutoriseParDefaut());
    CompteEnBanque c3 = new CompteEnBanque(b1,"Martin");
    System.out.println(c1+""+c2+""+c3);

  }
}

/*

comptesDerives.TestCompteEnBanque Mon Jan 12 18:24:51 CET 2004

Dcouvert autoris par dfaut 100,00

==================
banque bleue
compte numro : 3456_1
titulaire : Dupond
solde : 200,00
dcouvert autoris : 100,00
==================

==================
banque verte
compte numro : 3004_1
titulaire : Durand
solde : 100,00
dcouvert autoris : 500,00
==================

solde de Dupond : 300.15

erreur : vous avez donn un montant ngatif - crdit non effectu
solde de Dupond : 300.15

solde de Dupond : 600.15

dbit non autoris, solde insuffisant
solde de Dupond : 600.15

solde de Dupond : 470.15

solde de Dupond : 269.65

solde de Durand : -199.5


==================
banque bleue
compte numro : 3456_1
titulaire : Dupond
solde : 769,65
dcouvert autoris : 100,00
==================
relev : 
Jan 12 18:24 2004 espces  crdit +200,00
Jan 12 18:24 2004 chque   crdit +100,15
Jan 12 18:24 2004 chque   crdit +300,00
Jan 12 18:24 2004 CB       dbit  -130,00
Jan 12 18:24 2004 virement dbit  -200,50
Jan 12 18:24 2004 virement crdit +500,00


==================
banque verte
compte numro : 3004_1
titulaire : Durand
solde : -199,50
dcouvert autoris : 500,00
vous tes en dcouvert
==================
relev : 
Jan 12 18:24 2004 chque   crdit +100,00
Jan 12 18:24 2004 virement crdit +200,50
Jan 12 18:24 2004 virement dbit  -500,00

dbit non autoris, solde insuffisant
Modification du dcouvert autoris

==================
banque bleue
compte numro : 3456_1
titulaire : Dupond
solde : -230,35
dcouvert autoris : 300,00
vous tes en dcouvert
==================

Dcouvert autoris par dfaut 100.0
Modification du dcouvert autoris par dfaut
Dcouvert autoris par dfaut 600.0

==================
banque bleue
compte numro : 3456_1
titulaire : Dupond
solde : -230,35
dcouvert autoris : 300,00
vous tes en dcouvert
==================

==================
banque verte
compte numro : 3004_1
titulaire : Durand
solde : -199,50
dcouvert autoris : 500,00
vous tes en dcouvert
==================

==================
banque bleue
compte numro : 3456_2
titulaire : Martin
solde : 0,00
dcouvert autoris : 600,00
==================

*/
